import { s as subscribe } from "./utils.js";
import { c as create_ssr_component, a as add_attribute, e as escape } from "./ssr.js";
import { i as interfaceLowBandwidthMode } from "./store.js";
import { l as letterCase } from "./letterCasing.js";
import { $ as $format } from "./runtime.js";
import { t as truncate } from "./misc.js";
/* empty css                                                */
const css = {
  code: ".link-disabled.svelte-19cp408{pointer-events:none}",
  map: '{"version":3,"file":"PlaylistThumbnail.svelte","sources":["PlaylistThumbnail.svelte"],"sourcesContent":["<script lang=\\"ts\\">import { getBestThumbnail } from \\"$lib/images\\";\\nimport { letterCase } from \\"$lib/letterCasing\\";\\nimport { onMount } from \\"svelte\\";\\nimport { _ } from \\"svelte-i18n\\";\\nimport { get } from \\"svelte/store\\";\\nimport { truncate } from \\"../misc\\";\\nimport { interfaceLowBandwidthMode } from \\"../store\\";\\nexport let playlist;\\nexport let disabled = false;\\nlet loading = true;\\nlet img;\\nconst playlistLink = `/playlist/${playlist.playlistId}`;\\nonMount(() => {\\n  if (get(interfaceLowBandwidthMode)) return;\\n  img = new Image();\\n  if (playlist.videos.length > 0) {\\n    img.src = getBestThumbnail(playlist.videos[0].videoThumbnails) || \\"\\";\\n  } else if (playlist.playlistThumbnail) {\\n    img.src = playlist.playlistThumbnail;\\n  } else {\\n    img.src = \\"\\";\\n    loading = false;\\n    return;\\n  }\\n  img.onload = () => {\\n    loading = false;\\n  };\\n  img.onerror = () => {\\n    loading = false;\\n  };\\n});\\n<\/script>\\n\\n<a\\n\\thref={playlistLink}\\n\\tclass:link-disabled={disabled}\\n\\tstyle=\\"width: 100%; overflow: hidden;min-height:100px;\\"\\n\\tclass=\\"wave\\"\\n>\\n\\t{#if playlist.videoCount > 0 && !$interfaceLowBandwidthMode}\\n\\t\\t{#if loading}\\n\\t\\t\\t<progress class=\\"circle\\"></progress>\\n\\t\\t{:else if img.src !== \'\'}\\n\\t\\t\\t<img\\n\\t\\t\\t\\tclass=\\"responsive\\"\\n\\t\\t\\t\\tstyle=\\"max-width: 100%;height: 100%;\\"\\n\\t\\t\\t\\tsrc={img.src}\\n\\t\\t\\t\\talt=\\"Thumbnail for playlist\\"\\n\\t\\t\\t/>\\n\\t\\t{/if}\\n\\t{:else}\\n\\t\\t<h6 style=\\"margin: 3em 0;\\">No image</h6>\\n\\t{/if}\\n\\t<div class=\\"absolute right bottom small-margin black white-text small-text thumbnail-corner\\">\\n\\t\\t{playlist.videoCount}\\n\\t\\t{$_(\'videos\')}\\n\\t</div>\\n</a>\\n\\n<div class=\\"small-padding\\">\\n\\t<nav class=\\"no-margin\\">\\n\\t\\t<div class=\\"max\\">\\n\\t\\t\\t<a class:link-disabled={disabled} href={playlistLink}\\n\\t\\t\\t\\t><div class=\\"bold\\">{letterCase(truncate(playlist.title))}</div></a\\n\\t\\t\\t>\\n\\t\\t\\t<div>\\n\\t\\t\\t\\t<a class:link-disabled={playlist.authorId === null} href={`/channel/${playlist.authorId}`}\\n\\t\\t\\t\\t\\t>{playlist.author}</a\\n\\t\\t\\t\\t>\\n\\t\\t\\t</div>\\n\\t\\t</div>\\n\\t</nav>\\n</div>\\n\\n<style>\\n\\t.link-disabled {\\n\\t\\tpointer-events: none;\\n\\t}\\n</style>\\n"],"names":[],"mappings":"AA2EC,6BAAe,CACd,cAAc,CAAE,IACjB"}'
};
const PlaylistThumbnail = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $interfaceLowBandwidthMode, $$unsubscribe_interfaceLowBandwidthMode;
  let $_, $$unsubscribe__;
  $$unsubscribe_interfaceLowBandwidthMode = subscribe(interfaceLowBandwidthMode, (value) => $interfaceLowBandwidthMode = value);
  $$unsubscribe__ = subscribe($format, (value) => $_ = value);
  let { playlist } = $$props;
  let { disabled = false } = $$props;
  const playlistLink = `/playlist/${playlist.playlistId}`;
  if ($$props.playlist === void 0 && $$bindings.playlist && playlist !== void 0) $$bindings.playlist(playlist);
  if ($$props.disabled === void 0 && $$bindings.disabled && disabled !== void 0) $$bindings.disabled(disabled);
  $$result.css.add(css);
  $$unsubscribe_interfaceLowBandwidthMode();
  $$unsubscribe__();
  return `<a${add_attribute("href", playlistLink, 0)} style="width: 100%; overflow: hidden;min-height:100px;" class="${["wave svelte-19cp408", disabled ? "link-disabled" : ""].join(" ").trim()}">${playlist.videoCount > 0 && !$interfaceLowBandwidthMode ? `${`<progress class="circle"></progress>`}` : `<h6 style="margin: 3em 0;" data-svelte-h="svelte-105h2k4">No image</h6>`} <div class="absolute right bottom small-margin black white-text small-text thumbnail-corner">${escape(playlist.videoCount)} ${escape($_("videos"))}</div></a> <div class="small-padding"><nav class="no-margin"><div class="max"><a${add_attribute("href", playlistLink, 0)} class="${["svelte-19cp408", disabled ? "link-disabled" : ""].join(" ").trim()}"><div class="bold">${escape(letterCase(truncate(playlist.title)))}</div></a> <div><a${add_attribute("href", `/channel/${playlist.authorId}`, 0)} class="${["svelte-19cp408", playlist.authorId === null ? "link-disabled" : ""].join(" ").trim()}">${escape(playlist.author)}</a></div></div></nav> </div>`;
});
export {
  PlaylistThumbnail as P
};
