import { s as subscribe, g as get_store_value } from "./utils.js";
import { c as create_ssr_component, f as createEventDispatcher, o as onDestroy, a as add_attribute, e as escape, g as add_classes } from "./ssr.js";
import { p as proxyGoogleImage, g as getBestThumbnail } from "./images.js";
import { l as letterCase } from "./letterCasing.js";
import { v as videoLength, c as cleanNumber } from "./time.js";
import { $ as $format } from "./runtime.js";
import { a as getChannel } from "./index.js";
import { t as truncate } from "./misc.js";
import { s as syncPartyConnectionsStore, i as interfaceLowBandwidthMode, c as interfaceDisplayThumbnailAvatars, p as playerProxyVideosStore, d as syncPartyPeerStore, e as playerSavePlaybackPositionStore } from "./store.js";
/* empty css                                        */
const css = {
  code: ".thumbnail.svelte-1flhlin.svelte-1flhlin{width:100%;overflow:hidden}.thumbnail.svelte-1flhlin img.svelte-1flhlin{object-fit:contain}.sideways-root.svelte-1flhlin.svelte-1flhlin{height:115px;display:flex;align-items:flex-start}.sideways-root.svelte-1flhlin .thumbnail.svelte-1flhlin{width:200px}#video-preview[poster].svelte-1flhlin.svelte-1flhlin{object-fit:contain}.video-title.svelte-1flhlin.svelte-1flhlin{word-wrap:break-word;overflow:hidden}.thumbnail-details.svelte-1flhlin.svelte-1flhlin{display:flex;align-items:start;justify-content:start;padding:0 1em 1em 1em;line-height:1.5}@media screen and (max-width: 1499px){.sideways-root.svelte-1flhlin .thumbnail.svelte-1flhlin{width:100%;max-height:100%}}",
  map: `{"version":3,"file":"Thumbnail.svelte","sources":["Thumbnail.svelte"],"sourcesContent":["<script lang=\\"ts\\">import { getBestThumbnail, proxyGoogleImage } from \\"$lib/images\\";\\nimport { letterCase } from \\"$lib/letterCasing\\";\\nimport { cleanNumber, videoLength } from \\"$lib/time\\";\\nimport { createEventDispatcher, onDestroy, onMount } from \\"svelte\\";\\nimport { _ } from \\"svelte-i18n\\";\\nimport { get } from \\"svelte/store\\";\\nimport { getChannel, getDeArrow, getThumbnail, getVideo, getVideoProgress } from \\"../api\\";\\nimport { proxyVideoUrl, truncate } from \\"../misc\\";\\nimport {\\n  authStore,\\n  deArrowEnabledStore,\\n  deArrowTitlesOnly,\\n  interfaceDisplayThumbnailAvatars,\\n  interfaceLowBandwidthMode,\\n  interfacePreviewVideoOnHoverStore,\\n  playerProxyVideosStore,\\n  playerSavePlaybackPositionStore,\\n  syncPartyConnectionsStore,\\n  syncPartyPeerStore,\\n  synciousInstanceStore,\\n  synciousStore\\n} from \\"../store\\";\\nconst dispatch = createEventDispatcher();\\nexport let video;\\nexport let playlistId = \\"\\";\\nexport let sideways = false;\\nlet thumbnailHidden = false;\\nlet showVideoPreview = false;\\nlet videoPreview = null;\\nlet videoPreviewMuted = true;\\nlet videoPreviewVolume = 0.4;\\nlet imgHeight;\\nlet authorImg;\\nlet proxyVideos = get(playerProxyVideosStore);\\nlet placeholderHeight = 0;\\nlet watchUrl = new URL(\`\${location.origin}/watch/\${video.videoId}\`);\\nif (playlistId !== \\"\\") {\\n  watchUrl.searchParams.set(\\"playlist\\", playlistId);\\n}\\nsyncPartyPeerStore.subscribe((peer) => {\\n  if (peer) {\\n    watchUrl.searchParams.set(\\"sync\\", peer.id);\\n  }\\n});\\nlet loading = true;\\nlet loaded = false;\\nlet img;\\nlet progress;\\nif (get(playerSavePlaybackPositionStore)) {\\n  try {\\n    progress = localStorage.getItem(\`v_\${video.videoId}\`);\\n  } catch {\\n    progress = null;\\n  }\\n} else {\\n  progress = null;\\n}\\nlet startedSideways = sideways === true;\\nfunction disableSideways() {\\n  if (!startedSideways) return;\\n  if (window.innerWidth <= 1500) {\\n    sideways = false;\\n    if (typeof authorImg === \\"undefined\\") loadAuthor();\\n  } else sideways = true;\\n}\\nasync function loadAuthor() {\\n  if (!get(interfaceDisplayThumbnailAvatars)) return;\\n  try {\\n    const channel = await getChannel(video.authorId, { priority: \\"low\\" });\\n    const img2 = new Image();\\n    img2.src = proxyGoogleImage(getBestThumbnail(channel.authorThumbnails, 75, 75));\\n    img2.onload = () => {\\n      authorImg = img2;\\n    };\\n  } catch {\\n  }\\n}\\nonMount(async () => {\\n  try {\\n    thumbnailHidden = localStorage.getItem(\`v_h_\${video.videoId}\`) === \\"1\\";\\n  } catch {\\n  }\\n  if (thumbnailHidden) {\\n    dispatch(\\"videoHidden\\");\\n    return;\\n  }\\n  calcThumbnailPlaceholderHeight();\\n  disableSideways();\\n  addEventListener(\\"resize\\", () => {\\n    disableSideways();\\n    calcThumbnailPlaceholderHeight();\\n  });\\n  if (get(interfaceLowBandwidthMode)) return;\\n  if (!sideways) {\\n    loadAuthor();\\n  }\\n  let imageSrc = getBestThumbnail(video.videoThumbnails);\\n  if (get(deArrowEnabledStore)) {\\n    let locatedThumbnail = false;\\n    try {\\n      const deArrow = await getDeArrow(video.videoId);\\n      for (const title of deArrow.titles) {\\n        if (title.locked || title.votes > 0) {\\n          video.title = title.title.replace(\\">\\", \\"\\");\\n          break;\\n        }\\n      }\\n      for (const thumbnail of deArrow.thumbnails) {\\n        if (thumbnail.locked || thumbnail.original || thumbnail.votes > 0) {\\n          if (thumbnail.timestamp !== null) {\\n            imageSrc = await getThumbnail(video.videoId, thumbnail.timestamp);\\n          }\\n          locatedThumbnail = true;\\n          break;\\n        }\\n      }\\n    } catch {\\n    }\\n    if (!locatedThumbnail && !get(deArrowTitlesOnly)) {\\n      let generateThumbnail = function() {\\n        return new Promise(async (resolve, reject) => {\\n          if (canvas) {\\n            const context = canvas.getContext(\\"2d\\");\\n            const mockVideo = document.createElement(\\"video\\");\\n            const videoContainer = document.getElementById(\\"video-container\\");\\n            videoContainer?.appendChild(mockVideo);\\n            mockVideo.preload = \\"auto\\";\\n            mockVideo.id = \\"video\\";\\n            mockVideo.crossOrigin = \\"anonymous\\";\\n            const videoDetails = (await getVideo(video.videoId)).formatStreams[0];\\n            mockVideo.src = proxyVideoUrl(videoDetails.url);\\n            mockVideo.addEventListener(\\"loadeddata\\", () => {\\n              mockVideo.currentTime = mockVideo.duration / 50;\\n              mockVideo.addEventListener(\\"seeked\\", () => {\\n                if (context) {\\n                  context.drawImage(mockVideo, 0, 0, canvas.width, canvas.height);\\n                  resolve(canvas.toDataURL(\\"image/png\\"));\\n                  mockVideo.preload = \\"none\\";\\n                  mockVideo.pause();\\n                  videoContainer?.removeChild(mockVideo);\\n                }\\n              });\\n            });\\n            mockVideo.load();\\n          }\\n        });\\n      };\\n      const canvas = document.getElementById(\\"canvas\\");\\n      imageSrc = await generateThumbnail();\\n    }\\n  }\\n  img = new Image();\\n  img.src = imageSrc;\\n  img.onload = () => {\\n    loaded = true;\\n    loading = false;\\n  };\\n  img.onerror = () => {\\n    loading = false;\\n  };\\n  if (get(synciousStore) && get(synciousInstanceStore) && get(authStore)) {\\n    try {\\n      progress = (await getVideoProgress(video.videoId, { priority: \\"low\\" }))[0].time.toString();\\n    } catch {\\n    }\\n  }\\n});\\nonDestroy(() => {\\n  removeEventListener(\\"resize\\", disableSideways);\\n});\\nfunction syncChangeVideo() {\\n  if ($syncPartyConnectionsStore) {\\n    const events = {\\n      events: [{ type: \\"change-video\\", videoId: video.videoId }]\\n    };\\n    if (playlistId) {\\n      events.events.unshift({\\n        type: \\"playlist\\",\\n        playlistId\\n      });\\n    }\\n    $syncPartyConnectionsStore.forEach((conn) => {\\n      conn.send(events);\\n    });\\n  }\\n}\\nasync function previewVideo() {\\n  if (!get(interfacePreviewVideoOnHoverStore)) return;\\n  showVideoPreview = true;\\n  try {\\n    videoPreview = await getVideo(video.videoId);\\n    if (videoPreview.hlsUrl || videoPreview.formatStreams.length === 0) {\\n      showVideoPreview = false;\\n      videoPreview = null;\\n    } else {\\n      try {\\n        const vidstackDetails = localStorage.getItem(\\"video-player\\");\\n        if (vidstackDetails) {\\n          const vidstackDetailsParsed = JSON.parse(vidstackDetails);\\n          if (\\"volume\\" in vidstackDetailsParsed)\\n            videoPreviewVolume = vidstackDetailsParsed.volume;\\n        }\\n      } catch {\\n      }\\n    }\\n  } catch {\\n    showVideoPreview = false;\\n  }\\n  imgHeight = document.getElementById(\\"thumbnail-container\\")?.clientHeight;\\n}\\nfunction calcThumbnailPlaceholderHeight() {\\n  if (!sideways) {\\n    if (innerWidth < 1e3) {\\n      if (innerWidth < 600) {\\n        placeholderHeight = innerWidth / 2;\\n      } else {\\n        placeholderHeight = innerWidth / 4;\\n      }\\n    } else {\\n      placeholderHeight = innerWidth / 12;\\n    }\\n  } else {\\n    placeholderHeight = 115;\\n  }\\n}\\n<\/script>\\n\\n{#if !thumbnailHidden}\\n\\t<div class:sideways-root={sideways}>\\n\\t\\t<div\\n\\t\\t\\ton:mouseover={previewVideo}\\n\\t\\t\\ton:mouseleave={() => (showVideoPreview = false)}\\n\\t\\t\\ton:focus={() => {}}\\n\\t\\t\\tid=\\"thumbnail-container\\"\\n\\t\\t\\trole=\\"region\\"\\n\\t\\t>\\n\\t\\t\\t<a\\n\\t\\t\\t\\tclass=\\"wave thumbnail\\"\\n\\t\\t\\t\\thref={watchUrl.toString()}\\n\\t\\t\\t\\tdata-sveltekit-preload-data=\\"off\\"\\n\\t\\t\\t\\ton:click={syncChangeVideo}\\n\\t\\t\\t>\\n\\t\\t\\t\\t{#if !$interfaceLowBandwidthMode}\\n\\t\\t\\t\\t\\t{#if loading}\\n\\t\\t\\t\\t\\t\\t<div\\n\\t\\t\\t\\t\\t\\t\\tclass=\\"secondary-container\\"\\n\\t\\t\\t\\t\\t\\t\\tstyle=\\"width: 100%;height: {placeholderHeight}px;\\"\\n\\t\\t\\t\\t\\t\\t></div>\\n\\t\\t\\t\\t\\t{:else if loaded}\\n\\t\\t\\t\\t\\t\\t{#if showVideoPreview && videoPreview}\\n\\t\\t\\t\\t\\t\\t\\t<div style=\\"max-width: 100%; max-height: {imgHeight}px;\\">\\n\\t\\t\\t\\t\\t\\t\\t\\t<video\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tid=\\"video-preview\\"\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tstyle=\\"max-width: 100%; max-height: {imgHeight}px;\\"\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tautoplay\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tposter={img.src}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\twidth=\\"100%\\"\\n\\t\\t\\t\\t\\t\\t\\t\\t\\theight=\\"100%\\"\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tmuted={videoPreviewMuted}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tcontrols={false}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tvolume={videoPreviewVolume}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tsrc={proxyVideos\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t? proxyVideoUrl(videoPreview.formatStreams[0].url)\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t: videoPreview.formatStreams[0].url}\\n\\t\\t\\t\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t\\t\\t\\t</video>\\n\\t\\t\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t\\t\\t{:else}\\n\\t\\t\\t\\t\\t\\t\\t<img class=\\"responsive\\" src={img.src} alt=\\"Thumbnail for video\\" />\\n\\t\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t\\t{:else}\\n\\t\\t\\t\\t\\t\\t<p>{$_('thumbnail.failedToLoadImage')}</p>\\n\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t{#if progress}\\n\\t\\t\\t\\t\\t<progress\\n\\t\\t\\t\\t\\t\\tclass=\\"absolute right bottom\\"\\n\\t\\t\\t\\t\\t\\tstyle=\\"z-index: 1;\\"\\n\\t\\t\\t\\t\\t\\tvalue={progress}\\n\\t\\t\\t\\t\\t\\tmax={video.lengthSeconds}\\n\\t\\t\\t\\t\\t></progress>\\n\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t{#if !('liveVideo' in video) || !video.liveVideo}\\n\\t\\t\\t\\t\\t{#if video.lengthSeconds !== 0}\\n\\t\\t\\t\\t\\t\\t{#if !$interfaceLowBandwidthMode}\\n\\t\\t\\t\\t\\t\\t\\t<div\\n\\t\\t\\t\\t\\t\\t\\t\\tclass=\\"absolute right bottom small-margin black white-text small-text thumbnail-corner\\"\\n\\t\\t\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t\\t\\t\\t&nbsp;{videoLength(video.lengthSeconds)}&nbsp;\\n\\t\\t\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t\\t\\t{:else}\\n\\t\\t\\t\\t\\t\\t\\t<h3>{videoLength(video.lengthSeconds)}</h3>\\n\\t\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t{:else if video.lengthSeconds !== 0}\\n\\t\\t\\t\\t\\t<div\\n\\t\\t\\t\\t\\t\\tclass=\\"absolute right bottom small-margin red white-text small-text thumbnail-corner\\"\\n\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t\\t{$_('thumbnail.live')}\\n\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t{:else}\\n\\t\\t\\t\\t\\t<h3>{$_('thumbnail.live')}</h3>\\n\\t\\t\\t\\t{/if}\\n\\t\\t\\t</a>\\n\\t\\t\\t{#if showVideoPreview && videoPreview}\\n\\t\\t\\t\\t<button\\n\\t\\t\\t\\t\\tclass=\\"no-padding\\"\\n\\t\\t\\t\\t\\tstyle=\\"position: absolute; bottom: 10px; left: 10px; width: 30px; height: 30px;\\"\\n\\t\\t\\t\\t\\ton:click={() => {\\n\\t\\t\\t\\t\\t\\tvideoPreviewMuted = !videoPreviewMuted;\\n\\t\\t\\t\\t\\t}}\\n\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t<i>\\n\\t\\t\\t\\t\\t\\t{#if videoPreviewMuted}\\n\\t\\t\\t\\t\\t\\t\\tvolume_off\\n\\t\\t\\t\\t\\t\\t{:else}\\n\\t\\t\\t\\t\\t\\t\\tvolume_up\\n\\t\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t\\t</i>\\n\\t\\t\\t\\t</button>\\n\\t\\t\\t{/if}\\n\\t\\t</div>\\n\\n\\t\\t<div class=\\"thumbnail-details video-title\\">\\n\\t\\t\\t{#if !sideways && !$interfaceLowBandwidthMode && $interfaceDisplayThumbnailAvatars}\\n\\t\\t\\t\\t<div style=\\"margin-right: 1em;\\">\\n\\t\\t\\t\\t\\t{#if authorImg}\\n\\t\\t\\t\\t\\t\\t<img src={authorImg.src} alt=\\"Author\\" class=\\"circle small\\" />\\n\\t\\t\\t\\t\\t{:else}\\n\\t\\t\\t\\t\\t\\t<progress style=\\"padding: 15px;\\" class=\\"circle small\\"></progress>\\n\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t</div>\\n\\t\\t\\t{/if}\\n\\t\\t\\t<div class=\\"video-title\\">\\n\\t\\t\\t\\t<a\\n\\t\\t\\t\\t\\tstyle=\\"padding-left: 1px;\\"\\n\\t\\t\\t\\t\\tclass=\\"video-title\\"\\n\\t\\t\\t\\t\\tdata-sveltekit-preload-data=\\"off\\"\\n\\t\\t\\t\\t\\thref={watchUrl.toString()}\\n\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t<span class=\\"bold\\">{letterCase(truncate(video.title.trimEnd(), 80))}</span>\\n\\t\\t\\t\\t</a>\\n\\n\\t\\t\\t\\t<div>\\n\\t\\t\\t\\t\\t<a class:author={!sideways} href={\`/channel/\${video.authorId}\`}>{video.author}</a>\\n\\t\\t\\t\\t\\t{#if !('publishedText' in video) && 'viewCountText' in video}\\n\\t\\t\\t\\t\\t\\t<span style=\\"margin-top: 1em;\\">\\n\\t\\t\\t\\t\\t\\t\\t• {video.viewCountText}\\n\\t\\t\\t\\t\\t\\t\\t{$_('views')}\\n\\t\\t\\t\\t\\t\\t</span>\\n\\t\\t\\t\\t\\t{/if}\\n\\n\\t\\t\\t\\t\\t{#if 'publishedText' in video}\\n\\t\\t\\t\\t\\t\\t<div class=\\"max\\">\\n\\t\\t\\t\\t\\t\\t\\t{cleanNumber(video.viewCount)} • {video.publishedText}\\n\\t\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t</div>\\n\\t\\t\\t</div>\\n\\t\\t</div>\\n\\t</div>\\n{/if}\\n\\n<canvas id=\\"canvas\\" style=\\"display: none;\\"></canvas>\\n<div id=\\"video-container\\" style=\\"display: none;\\"></div>\\n\\n<style>\\n\\t.thumbnail {\\n\\t\\twidth: 100%;\\n\\t\\toverflow: hidden;\\n\\t}\\n\\n\\t.thumbnail img {\\n\\t\\tobject-fit: contain;\\n\\t}\\n\\n\\t.sideways-root {\\n\\t\\theight: 115px;\\n\\t\\tdisplay: flex;\\n\\t\\talign-items: flex-start;\\n\\t}\\n\\n\\t.sideways-root .thumbnail {\\n\\t\\twidth: 200px;\\n\\t}\\n\\n\\t#video-preview[poster] {\\n\\t\\tobject-fit: contain;\\n\\t}\\n\\n\\t.video-title {\\n\\t\\tword-wrap: break-word;\\n\\t\\toverflow: hidden;\\n\\t}\\n\\n\\t.thumbnail-details {\\n\\t\\tdisplay: flex;\\n\\t\\talign-items: start;\\n\\t\\tjustify-content: start;\\n\\t\\tpadding: 0 1em 1em 1em;\\n\\t\\tline-height: 1.5;\\n\\t}\\n\\n\\t@media screen and (max-width: 1499px) {\\n\\t\\t.sideways-root .thumbnail {\\n\\t\\t\\twidth: 100%;\\n\\t\\t\\tmax-height: 100%;\\n\\t\\t}\\n\\t}\\n</style>\\n"],"names":[],"mappings":"AA+WC,wCAAW,CACV,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,MACX,CAEA,yBAAU,CAAC,kBAAI,CACd,UAAU,CAAE,OACb,CAEA,4CAAe,CACd,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UACd,CAEA,6BAAc,CAAC,yBAAW,CACzB,KAAK,CAAE,KACR,CAEA,cAAc,CAAC,MAAM,+BAAE,CACtB,UAAU,CAAE,OACb,CAEA,0CAAa,CACZ,SAAS,CAAE,UAAU,CACrB,QAAQ,CAAE,MACX,CAEA,gDAAmB,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,KAAK,CAClB,eAAe,CAAE,KAAK,CACtB,OAAO,CAAE,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,GAAG,CACtB,WAAW,CAAE,GACd,CAEA,OAAO,MAAM,CAAC,GAAG,CAAC,YAAY,MAAM,CAAE,CACrC,6BAAc,CAAC,yBAAW,CACzB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IACb,CACD"}`
};
const Thumbnail = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$unsubscribe_syncPartyConnectionsStore;
  let $interfaceLowBandwidthMode, $$unsubscribe_interfaceLowBandwidthMode;
  let $_, $$unsubscribe__;
  let $interfaceDisplayThumbnailAvatars, $$unsubscribe_interfaceDisplayThumbnailAvatars;
  $$unsubscribe_syncPartyConnectionsStore = subscribe(syncPartyConnectionsStore, (value) => value);
  $$unsubscribe_interfaceLowBandwidthMode = subscribe(interfaceLowBandwidthMode, (value) => $interfaceLowBandwidthMode = value);
  $$unsubscribe__ = subscribe($format, (value) => $_ = value);
  $$unsubscribe_interfaceDisplayThumbnailAvatars = subscribe(interfaceDisplayThumbnailAvatars, (value) => $interfaceDisplayThumbnailAvatars = value);
  createEventDispatcher();
  let { video } = $$props;
  let { playlistId = "" } = $$props;
  let { sideways = false } = $$props;
  let authorImg;
  get_store_value(playerProxyVideosStore);
  let placeholderHeight = 0;
  let watchUrl = new URL(`${location.origin}/watch/${video.videoId}`);
  if (playlistId !== "") {
    watchUrl.searchParams.set("playlist", playlistId);
  }
  syncPartyPeerStore.subscribe((peer) => {
    if (peer) {
      watchUrl.searchParams.set("sync", peer.id);
    }
  });
  let progress;
  if (get_store_value(playerSavePlaybackPositionStore)) {
    try {
      progress = localStorage.getItem(`v_${video.videoId}`);
    } catch {
      progress = null;
    }
  } else {
    progress = null;
  }
  let startedSideways = sideways === true;
  function disableSideways() {
    if (!startedSideways) return;
    if (window.innerWidth <= 1500) {
      sideways = false;
      if (typeof authorImg === "undefined") loadAuthor();
    } else sideways = true;
  }
  async function loadAuthor() {
    if (!get_store_value(interfaceDisplayThumbnailAvatars)) return;
    try {
      const channel = await getChannel(video.authorId, { priority: "low" });
      const img2 = new Image();
      img2.src = proxyGoogleImage(getBestThumbnail(channel.authorThumbnails, 75, 75));
      img2.onload = () => {
        authorImg = img2;
      };
    } catch {
    }
  }
  onDestroy(() => {
    removeEventListener("resize", disableSideways);
  });
  if ($$props.video === void 0 && $$bindings.video && video !== void 0) $$bindings.video(video);
  if ($$props.playlistId === void 0 && $$bindings.playlistId && playlistId !== void 0) $$bindings.playlistId(playlistId);
  if ($$props.sideways === void 0 && $$bindings.sideways && sideways !== void 0) $$bindings.sideways(sideways);
  $$result.css.add(css);
  $$unsubscribe_syncPartyConnectionsStore();
  $$unsubscribe_interfaceLowBandwidthMode();
  $$unsubscribe__();
  $$unsubscribe_interfaceDisplayThumbnailAvatars();
  return `${`<div class="${["svelte-1flhlin", sideways ? "sideways-root" : ""].join(" ").trim()}"><div id="thumbnail-container" role="region"><a class="wave thumbnail svelte-1flhlin"${add_attribute("href", watchUrl.toString(), 0)} data-sveltekit-preload-data="off">${!$interfaceLowBandwidthMode ? `${`<div class="secondary-container" style="${"width: 100%;height: " + escape(placeholderHeight, true) + "px;"}"></div>`}` : ``} ${progress ? `<progress class="absolute right bottom" style="z-index: 1;"${add_attribute("value", progress, 0)}${add_attribute("max", video.lengthSeconds, 0)}></progress>` : ``} ${!("liveVideo" in video) || !video.liveVideo ? `${video.lengthSeconds !== 0 ? `${!$interfaceLowBandwidthMode ? `<div class="absolute right bottom small-margin black white-text small-text thumbnail-corner"> ${escape(videoLength(video.lengthSeconds))} </div>` : `<h3>${escape(videoLength(video.lengthSeconds))}</h3>`}` : ``}` : `${video.lengthSeconds !== 0 ? `<div class="absolute right bottom small-margin red white-text small-text thumbnail-corner">${escape($_("thumbnail.live"))}</div>` : `<h3>${escape($_("thumbnail.live"))}</h3>`}`}</a> ${``}</div> <div class="thumbnail-details video-title svelte-1flhlin">${!sideways && !$interfaceLowBandwidthMode && $interfaceDisplayThumbnailAvatars ? `<div style="margin-right: 1em;">${authorImg ? `<img${add_attribute("src", authorImg.src, 0)} alt="Author" class="circle small">` : `<progress style="padding: 15px;" class="circle small"></progress>`}</div>` : ``} <div class="video-title svelte-1flhlin"><a style="padding-left: 1px;" class="video-title svelte-1flhlin" data-sveltekit-preload-data="off"${add_attribute("href", watchUrl.toString(), 0)}><span class="bold">${escape(letterCase(truncate(video.title.trimEnd(), 80)))}</span></a> <div><a${add_attribute("href", `/channel/${video.authorId}`, 0)}${add_classes((!sideways ? "author" : "").trim())}>${escape(video.author)}</a> ${!("publishedText" in video) && "viewCountText" in video ? `<span style="margin-top: 1em;">• ${escape(video.viewCountText)} ${escape($_("views"))}</span>` : ``} ${"publishedText" in video ? `<div class="max">${escape(cleanNumber(video.viewCount))} • ${escape(video.publishedText)}</div>` : ``}</div></div></div></div>`} <canvas id="canvas" style="display: none;"></canvas> <div id="video-container" style="display: none;"></div>`;
});
export {
  Thumbnail as T
};
