import { s as subscribe, g as get_store_value } from "./utils.js";
import { c as create_ssr_component, b as each, v as validate_component, e as escape } from "./ssr.js";
import { T as Thumbnail } from "./Thumbnail.js";
import { $ as $format } from "./runtime.js";
import { b as authStore } from "./store.js";
import "human-number";
import "@capacitor/core";
import "bgutils-js";
import "youtubei.js";
import { C as ContentColumn } from "./ContentColumn.js";
const VideoList = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $_, $$unsubscribe__;
  $$unsubscribe__ = subscribe($format, (value) => $_ = value);
  let { videos = [] } = $$props;
  let { playlistId = "" } = $$props;
  let { playlistAuthor = "" } = $$props;
  let hiddenVideos = [];
  let auth = get_store_value(authStore);
  if ($$props.videos === void 0 && $$bindings.videos && videos !== void 0) $$bindings.videos(videos);
  if ($$props.playlistId === void 0 && $$bindings.playlistId && playlistId !== void 0) $$bindings.playlistId(playlistId);
  if ($$props.playlistAuthor === void 0 && $$bindings.playlistAuthor && playlistAuthor !== void 0) $$bindings.playlistAuthor(playlistAuthor);
  $$unsubscribe__();
  return `<div class="page right active"><div class="space"></div> <div class="grid">${each(videos, (video) => {
    return `${!hiddenVideos.includes(video.videoId) ? `${validate_component(ContentColumn, "ContentColumn").$$render($$result, {}, {}, {
      default: () => {
        return `<article class="no-padding" style="height: 100%;">${validate_component(Thumbnail, "Thumbnail").$$render($$result, { video, playlistId }, {}, {})} ${auth && decodeURIComponent(auth.username) === playlistAuthor && "indexId" in video ? `<div class="right-align" style="margin: 1em .5em;"><button class="tertiary circle small"><i data-svelte-h="svelte-1onb1yl">delete</i> <div class="tooltip">${escape($_("delete"))}</div></button> </div>` : ``}</article> `;
      }
    })}` : ``}`;
  })}</div></div>`;
});
export {
  VideoList as V
};
