import "./client.js";
import { g as get_store_value } from "./utils.js";
import he from "he";
import { g as instanceStore } from "./store.js";
function truncate(value, maxLength = 50) {
  return value.length > maxLength ? `${value.substring(0, maxLength)}...` : value;
}
function decodeHtmlCharCodes(str) {
  const { decode } = he;
  return decode(str);
}
function proxyVideoUrl(source) {
  const rawSrc = new URL(source);
  rawSrc.host = get_store_value(instanceStore).replace("http://", "").replace(
    "https://",
    ""
  );
  return rawSrc.toString();
}
function unsafeRandomItem(array) {
  return array[Math.floor(Math.random() * array.length)];
}
export {
  decodeHtmlCharCodes as d,
  proxyVideoUrl as p,
  truncate as t,
  unsafeRandomItem as u
};
