import { s as subscribe } from "../../../../../chunks/utils.js";
import { c as create_ssr_component, a as add_attribute, e as escape, v as validate_component } from "../../../../../chunks/ssr.js";
import { a as activePageStore } from "../../../../../chunks/store.js";
import { c as cleanNumber } from "../../../../../chunks/time.js";
import { Capacitor } from "@capacitor/core";
import "bgutils-js";
import "youtubei.js";
import { V as VideoList } from "../../../../../chunks/VideoList.js";
import { u as unsafeRandomItem } from "../../../../../chunks/misc.js";
import "@capacitor/clipboard";
import { $ as $format } from "../../../../../chunks/runtime.js";
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $_, $$unsubscribe__;
  $$unsubscribe__ = subscribe($format, (value) => $_ = value);
  let { data } = $$props;
  activePageStore.set(null);
  let videos;
  if (data.playlist.videos.length > 0) {
    videos = data.playlist.videos.sort((a, b) => {
      return a.index < b.index ? -1 : 1;
    });
    videos = videos.filter((playlistVideo) => {
      return playlistVideo.lengthSeconds > 0;
    });
  }
  if ($$props.data === void 0 && $$bindings.data && data !== void 0) $$bindings.data(data);
  $$unsubscribe__();
  return `<div class="space"></div> <article>${videos ? `<nav><a${add_attribute("href", `/watch/${videos[0].videoId}?playlist=${data.playlist.playlistId}`, 0)} class="button circle extra no-margin"><i data-svelte-h="svelte-12z1jcg">play_arrow</i> <div class="tooltip bottom">${escape($_("playlist.playVideos"))}</div></a> <a${add_attribute("href", `/watch/${unsafeRandomItem(videos).videoId}?playlist=${data.playlist.playlistId}`, 0)} class="button circle extra no-margin border"><i data-svelte-h="svelte-15p25cv">shuffle</i> <div class="tooltip bottom">${escape($_("playlist.shuffleVideos"))}</div></a></nav>` : ``} <h3>${escape(data.playlist.title)}</h3> <p>${escape(cleanNumber(data.playlist.viewCount))} ${escape($_("views"))} • ${escape(data.playlist.videoCount)} ${escape($_("videos"))}</p> <div class="divider" style="margin-bottom: 1em;"></div> <article style="max-height: 200px;" class="scroll no-padding no-elevate no-round"><p style="white-space: pre-line;word-wrap: break-word;">${escape(data.playlist.description)}</p></article> <div class="space"></div> <button class="border no-margin"><i data-svelte-h="svelte-1asjlkd">share</i> <span>${escape($_("player.share.title"))}</span> <menu class="no-wrap">${!Capacitor.isNativePlatform() ? `<a href="#share">${escape($_("player.share.materialiousLink"))}</a>` : ``} <a href="#share">${escape($_("player.share.youtubeLink"))}</a></menu></button></article> ${videos ? `${validate_component(VideoList, "VideoList").$$render(
    $$result,
    {
      videos,
      playlistAuthor: data.playlist.author,
      playlistId: data.playlist.playlistId
    },
    {},
    {}
  )}` : ``}`;
});
export {
  Page as default
};
