import { s as subscribe } from "../../../../../chunks/utils.js";
import { c as create_ssr_component, a as add_attribute, e as escape, g as add_classes, b as each, v as validate_component } from "../../../../../chunks/ssr.js";
import { i as interfaceLowBandwidthMode, a as activePageStore } from "../../../../../chunks/store.js";
import "human-number";
import "@capacitor/core";
import "bgutils-js";
import "youtubei.js";
import { c as cleanNumber } from "../../../../../chunks/time.js";
import { $ as $format } from "../../../../../chunks/runtime.js";
import { t as truncate } from "../../../../../chunks/misc.js";
import { C as ContentColumn } from "../../../../../chunks/ContentColumn.js";
import { P as PageLoading } from "../../../../../chunks/PageLoading.js";
import { P as PlaylistThumbnail } from "../../../../../chunks/PlaylistThumbnail.js";
import { T as Thumbnail } from "../../../../../chunks/Thumbnail.js";
import { I as InfiniteLoading } from "../../../../../chunks/InfiniteLoading.js";
const ChannelThumbnail = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $interfaceLowBandwidthMode, $$unsubscribe_interfaceLowBandwidthMode;
  let $_, $$unsubscribe__;
  $$unsubscribe_interfaceLowBandwidthMode = subscribe(interfaceLowBandwidthMode, (value) => $interfaceLowBandwidthMode = value);
  $$unsubscribe__ = subscribe($format, (value) => $_ = value);
  let { channel } = $$props;
  if ($$props.channel === void 0 && $$bindings.channel && channel !== void 0) $$bindings.channel(channel);
  $$unsubscribe_interfaceLowBandwidthMode();
  $$unsubscribe__();
  return `<a${add_attribute("href", `/channel/${channel.authorId}`, 0)} class="wave" style="min-width: 100%;min-height: 100%;"><div class="padding">${!$interfaceLowBandwidthMode ? `<div class="center-align">${`<progress class="circle"></progress>`}</div>` : ``} <h5 class="center-align">${escape(truncate(channel.author, 14))}</h5> <h6 style="margin-top: 0;" class="center-align grey-text medium-text">${escape(cleanNumber(channel.subCount))} ${escape($_("subscribers"))}</h6> <p>${escape(channel.description)}</p></div></a>`;
});
const HashtagThumbnail = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $_, $$unsubscribe__;
  $$unsubscribe__ = subscribe($format, (value) => $_ = value);
  let { hashtag } = $$props;
  if ($$props.hashtag === void 0 && $$bindings.hashtag && hashtag !== void 0) $$bindings.hashtag(hashtag);
  $$unsubscribe__();
  return `<a${add_attribute("href", hashtag.url, 0)} class="wave" style="min-width: 100%;min-height: 100%;"><div class="padding"><h5 class="center-align">${escape(truncate(hashtag.title, 14))}</h5> <h6 style="margin-top: 0;" class="center-align grey-text medium-text">${escape(cleanNumber(hashtag.channelCount))} ${escape($_("channels"))}</h6> <h6 style="margin-top: 0;" class="center-align grey-text medium-text">${escape(cleanNumber(hashtag.videoCount))} ${escape($_("videos"))}</h6></div></a>`;
});
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $_, $$unsubscribe__;
  $$unsubscribe__ = subscribe($format, (value) => $_ = value);
  let { data } = $$props;
  activePageStore.set(null);
  if ($$props.data === void 0 && $$bindings.data && data !== void 0) $$bindings.data(data);
  $$unsubscribe__();
  return `<div style="margin-top: 1em;"><div class="tabs left-align min scroll"><a href="#all"${add_classes((data.searchType === "all" ? "active" : "").trim())}><i data-svelte-h="svelte-1bexogl">home</i> <span>${escape($_("videoTabs.all"))}</span></a> <a href="#videos"${add_classes((data.searchType === "video" ? "active" : "").trim())}><i data-svelte-h="svelte-1hkiryq">movie</i> <span>${escape($_("videoTabs.videos"))}</span></a> <a href="#playlists"${add_classes((data.searchType === "playlist" ? "active" : "").trim())}><i data-svelte-h="svelte-wiut93">playlist_add_check</i> <span>${escape($_("videoTabs.playlists"))}</span></a> <a href="#channels"${add_classes((data.searchType === "channel" ? "active" : "").trim())}><i data-svelte-h="svelte-1j8rt53">person</i> <span>${escape($_("videoTabs.channels"))}</span></a></div></div> ${data.search.length > 0 ? `<div class="page right active"><div class="space"></div> <div class="grid">${each(data.search, (item) => {
    return `${validate_component(ContentColumn, "ContentColumn").$$render($$result, {}, {}, {
      default: () => {
        return `<article class="no-padding" style="height: 100%;">${item.type === "video" ? `${validate_component(Thumbnail, "Thumbnail").$$render($$result, { video: item }, {}, {})}` : `${item.type === "channel" ? `${validate_component(ChannelThumbnail, "ChannelThumbnail").$$render($$result, { channel: item }, {}, {})}` : `${item.type === "playlist" ? `${validate_component(PlaylistThumbnail, "PlaylistThumbnail").$$render($$result, { playlist: item }, {}, {})}` : `${item.type === "hashtag" ? `${validate_component(HashtagThumbnail, "HashtagThumbnail").$$render($$result, { hashtag: item }, {}, {})}` : ``}`}`}`} </article> `;
      }
    })}`;
  })}</div></div>` : `${validate_component(PageLoading, "PageLoading").$$render($$result, {}, {}, {})}`} ${validate_component(InfiniteLoading, "InfiniteLoading").$$render($$result, {}, {}, {})}`;
});
export {
  Page as default
};
