import { s as subscribe } from "../../../../../chunks/utils.js";
import { c as create_ssr_component, a as add_attribute, b as each, e as escape } from "../../../../../chunks/ssr.js";
import { a as activePageStore } from "../../../../../chunks/store.js";
import "human-number";
import "@capacitor/core";
import "bgutils-js";
import "youtubei.js";
import Fuse from "fuse.js";
import { $ as $format } from "../../../../../chunks/runtime.js";
const css = {
  code: "@media screen and (max-width: 590px){nav.svelte-1smajq0{flex-direction:column}}",
  map: '{"version":3,"file":"+page.svelte","sources":["+page.svelte"],"sourcesContent":["<script lang=\\"ts\\">import { deleteUnsubscribe } from \\"$lib/api\\";\\nimport { activePageStore } from \\"$lib/store\\";\\nimport Fuse from \\"fuse.js\\";\\nimport { _ } from \\"svelte-i18n\\";\\nactivePageStore.set(null);\\nexport let data;\\nlet subscriptions = structuredClone(data.subscriptions);\\nlet search;\\nconst fuse = new Fuse(subscriptions, {\\n  keys: [\\"author\\"]\\n});\\nfunction searchSubs() {\\n  if (search === \\"\\") {\\n    subscriptions = structuredClone(data.subscriptions);\\n  } else {\\n    subscriptions = fuse.search(search).map((item) => item.item);\\n  }\\n}\\nasync function unsubscribe(authorId) {\\n  try {\\n    await deleteUnsubscribe(authorId);\\n    subscriptions = subscriptions.filter((item) => {\\n      return item.authorId !== authorId;\\n    });\\n  } catch {\\n  }\\n}\\n<\/script>\\n\\n<div class=\\"space\\"></div>\\n\\n<div class=\\"max field round suffix prefix small no-margin surface-variant\\">\\n\\t<i class=\\"front\\">search</i><input\\n\\t\\tbind:value={search}\\n\\t\\ton:input={searchSubs}\\n\\t\\ttype=\\"text\\"\\n\\t\\tplaceholder={$_(\'searchPlaceholder\')}\\n\\t/>\\n</div>\\n\\n{#each subscriptions as sub}\\n\\t<article>\\n\\t\\t<nav>\\n\\t\\t\\t<a href={`/channel/${sub.authorId}`}\\n\\t\\t\\t\\t><h6>\\n\\t\\t\\t\\t\\t{sub.author}\\n\\t\\t\\t\\t</h6></a\\n\\t\\t\\t>\\n\\t\\t\\t<div class=\\"max\\"></div>\\n\\t\\t\\t<button on:click={async () => unsubscribe(sub.authorId)} class=\\"border\\">Unsubscribe</button>\\n\\t\\t</nav>\\n\\t</article>\\n{/each}\\n\\n<style>\\n\\t@media screen and (max-width: 590px) {\\n\\t\\tnav {\\n\\t\\t\\tflex-direction: column;\\n\\t\\t}\\n\\t}\\n</style>\\n"],"names":[],"mappings":"AAuDC,OAAO,MAAM,CAAC,GAAG,CAAC,YAAY,KAAK,CAAE,CACpC,kBAAI,CACH,cAAc,CAAE,MACjB,CACD"}'
};
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $_, $$unsubscribe__;
  $$unsubscribe__ = subscribe($format, (value) => $_ = value);
  activePageStore.set(null);
  let { data } = $$props;
  let subscriptions = structuredClone(data.subscriptions);
  let search;
  new Fuse(subscriptions, { keys: ["author"] });
  if ($$props.data === void 0 && $$bindings.data && data !== void 0) $$bindings.data(data);
  $$result.css.add(css);
  $$unsubscribe__();
  return `<div class="space"></div> <div class="max field round suffix prefix small no-margin surface-variant"><i class="front" data-svelte-h="svelte-t6yvho">search</i><input type="text"${add_attribute("placeholder", $_("searchPlaceholder"), 0)}${add_attribute("value", search, 0)}></div> ${each(subscriptions, (sub) => {
    return `<article><nav class="svelte-1smajq0"><a${add_attribute("href", `/channel/${sub.authorId}`, 0)}><h6>${escape(sub.author)} </h6></a> <div class="max"></div> <button class="border" data-svelte-h="svelte-1e6o8do">Unsubscribe</button></nav> </article>`;
  })}`;
});
export {
  Page as default
};
