import { s as subscribe, g as get_store_value, c as is_promise, n as noop, d as null_to_empty } from "../../../../../chunks/utils.js";
import { t as tick } from "../../../../../chunks/scheduler.js";
import { c as create_ssr_component, a as add_attribute, e as escape, b as each, o as onDestroy, v as validate_component } from "../../../../../chunks/ssr.js";
import "../../../../../chunks/client.js";
import { c as getPlaylist } from "../../../../../chunks/index.js";
import { i as interfaceLowBandwidthMode, d as syncPartyPeerStore, s as syncPartyConnectionsStore, w as playerAutoplayNextByDefaultStore, b as authStore, x as interfaceAutoExpandDesc, y as interfaceAutoExpandComments, a as activePageStore, z as playerTheatreModeByDefaultStore, A as playerListenByDefaultStore, B as playlistSettingsStore, C as playerMiniPlayerStore, D as miniPlayerSrcStore } from "../../../../../chunks/store.js";
import { n as numberWithCommas, c as cleanNumber } from "../../../../../chunks/time.js";
import { Capacitor } from "@capacitor/core";
import "bgutils-js";
import "youtubei.js";
import { p as proxyGoogleImage, g as getBestThumbnail } from "../../../../../chunks/images.js";
import { $ as $format } from "../../../../../chunks/runtime.js";
import { P as Player } from "../../../../../chunks/Player.js";
import "@capacitor/clipboard";
import { T as Thumbnail } from "../../../../../chunks/Thumbnail.js";
import "human-number";
import "he";
import { l as letterCase } from "../../../../../chunks/letterCasing.js";
import { t as truncate } from "../../../../../chunks/misc.js";
import "../../../../../chunks/beer.min.js";
import "sponsorblock-api";
const css$2 = {
  code: ".comment.svelte-1q3a33k img.svelte-1q3a33k{margin:0.5em 1em 0 1em}.comment.svelte-1q3a33k.svelte-1q3a33k{display:flex;margin-bottom:0.8em;white-space:pre-line}.channel-owner.svelte-1q3a33k.svelte-1q3a33k{background-color:var(--primary);padding:0 0.5em;border-radius:1em;color:var(--surface-variant)}.replies.svelte-1q3a33k.svelte-1q3a33k{margin-left:0}",
  map: '{"version":3,"file":"Comment.svelte","sources":["Comment.svelte"],"sourcesContent":["<script lang=\\"ts\\">import { getComments } from \\"$lib/api\\";\\nimport {} from \\"$lib/api/model\\";\\nimport { getBestThumbnail, proxyGoogleImage } from \\"$lib/images\\";\\nimport { interfaceLowBandwidthMode } from \\"$lib/store\\";\\nimport { numberWithCommas } from \\"$lib/time\\";\\nimport { _ } from \\"svelte-i18n\\";\\nexport let comment;\\nexport let videoId;\\nlet replies = void 0;\\nasync function loadReplies(continuation) {\\n  try {\\n    replies = await getComments(videoId, {\\n      continuation,\\n      sort_by: \\"top\\",\\n      source: \\"youtube\\"\\n    });\\n  } catch {\\n  }\\n}\\nfunction commentTimestamps(html) {\\n  const regex = /<a href=\\"([^\\"]+)\\" data-onclick=\\"jump_to_time\\" data-jump-time=\\"(\\\\d+)\\">([^<]+)<\\\\/a>\\\\s*(.+)/g;\\n  const replacement = `<a href=\\"/watch/${videoId}?time=$2\\" data-sveltekit-preload-data=\\"off\\" class=\\"link\\">$3 $4</a>`;\\n  const processedHtml = html.replace(regex, replacement);\\n  return processedHtml;\\n}\\n<\/script>\\n\\n<div class=\\"comment\\">\\n\\t{#if !$interfaceLowBandwidthMode}\\n\\t\\t<img\\n\\t\\t\\tclass=\\"circle small\\"\\n\\t\\t\\tsrc={proxyGoogleImage(getBestThumbnail(comment.authorThumbnails))}\\n\\t\\t\\talt=\\"comment profile\\"\\n\\t\\t/>\\n\\t{/if}\\n\\t<div>\\n\\t\\t<div class=\\"row\\">\\n\\t\\t\\t<a href={`/channel/${comment.authorId}`}>\\n\\t\\t\\t\\t<p class=\\"no-margin\\">\\n\\t\\t\\t\\t\\t<span class=\\"bold\\" class:channel-owner={comment.authorIsChannelOwner}\\n\\t\\t\\t\\t\\t\\t>{comment.author}</span\\n\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t<span class=\\"secondary-text\\">{comment.publishedText}</span>\\n\\t\\t\\t\\t</p>\\n\\t\\t\\t</a>\\n\\t\\t\\t{#if comment.isPinned}\\n\\t\\t\\t\\t<i>push_pin</i>\\n\\t\\t\\t{/if}\\n\\t\\t\\t{#if comment.isEdited}\\n\\t\\t\\t\\t<i>edit</i>\\n\\t\\t\\t{/if}\\n\\t\\t</div>\\n\\t\\t<p class=\\"no-margin\\">\\n\\t\\t\\t{@html commentTimestamps(comment.contentHtml)}\\n\\t\\t</p>\\n\\t\\t<div style=\\"display: flex;\\">\\n\\t\\t\\t<p><i>thumb_up</i> {numberWithCommas(comment.likeCount)}</p>\\n\\t\\t\\t{#if comment.creatorHeart}\\n\\t\\t\\t\\t<div>\\n\\t\\t\\t\\t\\t<img\\n\\t\\t\\t\\t\\t\\tclass=\\"circle\\"\\n\\t\\t\\t\\t\\t\\tstyle=\\"width: 25px; height: 25px\\"\\n\\t\\t\\t\\t\\t\\tsrc={proxyGoogleImage(comment.creatorHeart.creatorThumbnail)}\\n\\t\\t\\t\\t\\t\\talt=\\"Creator profile\\"\\n\\t\\t\\t\\t\\t/>\\n\\t\\t\\t\\t\\t<i style=\\"font-size: 20px;margin-left: 5px;\\" class=\\"absolute left red-text bottom fill\\"\\n\\t\\t\\t\\t\\t\\t>favorite</i\\n\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t</div>\\n\\t\\t\\t{/if}\\n\\t\\t</div>\\n\\n\\t\\t{#if replies}\\n\\t\\t\\t{#each replies.comments as reply}\\n\\t\\t\\t\\t<svelte:self comment={reply} {videoId} />\\n\\t\\t\\t{/each}\\n\\t\\t{/if}\\n\\n\\t\\t{#if comment.replies && !replies}\\n\\t\\t\\t<button\\n\\t\\t\\t\\ton:click={async () => loadReplies(comment.replies.continuation)}\\n\\t\\t\\t\\tclass=\\"transparent replies\\"\\n\\t\\t\\t>\\n\\t\\t\\t\\t<i class=\\"primary-text\\">expand_more</i>\\n\\t\\t\\t\\t<span class=\\"primary-text\\">{comment.replies.replyCount} {$_(\'replies\')}</span>\\n\\t\\t\\t</button>\\n\\t\\t{:else if replies}\\n\\t\\t\\t<button on:click={() => (replies = undefined)} class=\\"transparent replies\\">\\n\\t\\t\\t\\t<i class=\\"primary-text\\">expand_less</i>\\n\\t\\t\\t\\t<span class=\\"primary-text\\">{$_(\'hideReplies\')}</span>\\n\\t\\t\\t</button>\\n\\t\\t{/if}\\n\\t</div>\\n</div>\\n\\n<style>\\n\\t.comment img {\\n\\t\\tmargin: 0.5em 1em 0 1em;\\n\\t}\\n\\n\\t.comment {\\n\\t\\tdisplay: flex;\\n\\t\\tmargin-bottom: 0.8em;\\n\\t\\twhite-space: pre-line;\\n\\t}\\n\\n\\t.channel-owner {\\n\\t\\tbackground-color: var(--primary);\\n\\t\\tpadding: 0 0.5em;\\n\\t\\tborder-radius: 1em;\\n\\t\\tcolor: var(--surface-variant);\\n\\t}\\n\\n\\t.replies {\\n\\t\\tmargin-left: 0;\\n\\t}\\n</style>\\n"],"names":[],"mappings":"AAgGC,uBAAQ,CAAC,kBAAI,CACZ,MAAM,CAAE,KAAK,CAAC,GAAG,CAAC,CAAC,CAAC,GACrB,CAEA,sCAAS,CACR,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,KAAK,CACpB,WAAW,CAAE,QACd,CAEA,4CAAe,CACd,gBAAgB,CAAE,IAAI,SAAS,CAAC,CAChC,OAAO,CAAE,CAAC,CAAC,KAAK,CAChB,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,iBAAiB,CAC7B,CAEA,sCAAS,CACR,WAAW,CAAE,CACd"}'
};
const Comment = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $interfaceLowBandwidthMode, $$unsubscribe_interfaceLowBandwidthMode;
  let $_, $$unsubscribe__;
  $$unsubscribe_interfaceLowBandwidthMode = subscribe(interfaceLowBandwidthMode, (value) => $interfaceLowBandwidthMode = value);
  $$unsubscribe__ = subscribe($format, (value) => $_ = value);
  let { comment } = $$props;
  let { videoId } = $$props;
  let replies = void 0;
  function commentTimestamps(html) {
    const regex = /<a href="([^"]+)" data-onclick="jump_to_time" data-jump-time="(\d+)">([^<]+)<\/a>\s*(.+)/g;
    const replacement = `<a href="/watch/${videoId}?time=$2" data-sveltekit-preload-data="off" class="link">$3 $4</a>`;
    const processedHtml = html.replace(regex, replacement);
    return processedHtml;
  }
  if ($$props.comment === void 0 && $$bindings.comment && comment !== void 0) $$bindings.comment(comment);
  if ($$props.videoId === void 0 && $$bindings.videoId && videoId !== void 0) $$bindings.videoId(videoId);
  $$result.css.add(css$2);
  $$unsubscribe_interfaceLowBandwidthMode();
  $$unsubscribe__();
  return `<div class="comment svelte-1q3a33k">${!$interfaceLowBandwidthMode ? `<img class="circle small svelte-1q3a33k"${add_attribute("src", proxyGoogleImage(getBestThumbnail(comment.authorThumbnails)), 0)} alt="comment profile">` : ``} <div><div class="row"><a${add_attribute("href", `/channel/${comment.authorId}`, 0)}><p class="no-margin"><span class="${["bold svelte-1q3a33k", comment.authorIsChannelOwner ? "channel-owner" : ""].join(" ").trim()}">${escape(comment.author)}</span> <span class="secondary-text">${escape(comment.publishedText)}</span></p></a> ${comment.isPinned ? `<i data-svelte-h="svelte-1dflpx4">push_pin</i>` : ``} ${comment.isEdited ? `<i data-svelte-h="svelte-gwjjhg">edit</i>` : ``}</div> <p class="no-margin"><!-- HTML_TAG_START -->${commentTimestamps(comment.contentHtml)}<!-- HTML_TAG_END --></p> <div style="display: flex;"><p><i data-svelte-h="svelte-1kk8nic">thumb_up</i> ${escape(numberWithCommas(comment.likeCount))}</p> ${comment.creatorHeart ? `<div><img class="circle svelte-1q3a33k" style="width: 25px; height: 25px"${add_attribute("src", proxyGoogleImage(comment.creatorHeart.creatorThumbnail), 0)} alt="Creator profile"> <i style="font-size: 20px;margin-left: 5px;" class="absolute left red-text bottom fill" data-svelte-h="svelte-tas1c3">favorite</i></div>` : ``}</div> ${``} ${comment.replies && !replies ? `<button class="transparent replies svelte-1q3a33k"><i class="primary-text" data-svelte-h="svelte-1ojdm8j">expand_more</i> <span class="primary-text">${escape(comment.replies.replyCount)} ${escape($_("replies"))}</span></button>` : `${``}`}</div> </div>`;
});
const ShareVideo = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $_, $$unsubscribe__;
  $$unsubscribe__ = subscribe($format, (value) => $_ = value);
  let { video } = $$props;
  if ($$props.video === void 0 && $$bindings.video && video !== void 0) $$bindings.video(video);
  $$unsubscribe__();
  return `${!Capacitor.isNativePlatform() ? `<a class="row" href="#copy"><div class="min">${escape($_("player.share.materialiousLink"))}</div></a>` : ``} <a href="#copy" class="row"><div class="min">${escape($_("player.share.invidiousRedirect"))}</div></a><a class="row" href="#copy"><div class="min">${escape($_("player.share.youtubeLink"))}</div></a>`;
});
const css$1 = {
  code: ".transcript-line.svelte-ynbpys.svelte-ynbpys{display:flex;cursor:pointer;align-items:center;padding:0.5em;margin:1em}.transcript-text.svelte-ynbpys.svelte-ynbpys{margin-left:1em}.transcript-line.svelte-ynbpys .chip.svelte-ynbpys{padding:0 1.5em}",
  map: `{"version":3,"file":"Transcript.svelte","sources":["Transcript.svelte"],"sourcesContent":["<script lang=\\"ts\\">import { videoLength } from \\"$lib/time\\";\\nimport Fuse from \\"fuse.js\\";\\nimport { VTTCue, parseText } from \\"media-captions\\";\\nimport { _ } from \\"svelte-i18n\\";\\nimport { get } from \\"svelte/store\\";\\nimport { decodeHtmlCharCodes } from \\"../misc\\";\\nimport { instanceStore } from \\"../store\\";\\nexport let video;\\nexport let player;\\nlet url = null;\\nlet autoScroll = true;\\nlet transcript = null;\\nlet transcriptCues = [];\\nlet isLoading = false;\\nlet currentTime = 0;\\nlet search = \\"\\";\\nplayer.addEventListener(\\"time-update\\", (event) => {\\n  currentTime = event.detail.currentTime;\\n  if (autoScroll) {\\n    const currentTranscriptLine = document.querySelector(\\n      \\".transcript-line.secondary-container\\"\\n    );\\n    const transcriptScrollable = document.getElementById(\\"transcript\\");\\n    if (currentTranscriptLine && transcriptScrollable) {\\n      transcriptScrollable.scrollTop = currentTranscriptLine.offsetTop - transcriptScrollable.offsetTop - 300;\\n    }\\n  }\\n});\\nasync function loadTranscript() {\\n  if (!url) {\\n    transcript = null;\\n    return;\\n  }\\n  isLoading = true;\\n  transcript = null;\\n  const resp = await fetch(\`\${!video.fallbackPatch ? get(instanceStore) : \\"\\"}\${url}\`);\\n  transcript = await parseText(await resp.text(), { strict: false });\\n  transcriptCues = transcript.cues;\\n  isLoading = false;\\n}\\nfunction searchTranscript() {\\n  if (!transcript) return;\\n  if (search.trim() === \\"\\") {\\n    transcriptCues = transcript.cues;\\n    return;\\n  }\\n  const fuse = new Fuse(transcript.cues, {\\n    keys: [\\"text\\"]\\n  });\\n  transcriptCues = fuse.search(search).map((item) => item.item);\\n}\\n<\/script>\\n\\n<article class=\\"scroll no-padding\\" style=\\"height: 75vh;\\" id=\\"transcript\\">\\n\\t<article class=\\"no-elevate\\" style=\\"position: sticky; top: 0; z-index: 3;\\">\\n\\t\\t<h6>{$_('transcript')}</h6>\\n\\t\\t<div class=\\"field label suffix border\\">\\n\\t\\t\\t<select bind:value={url} on:change={loadTranscript} name=\\"captions\\">\\n\\t\\t\\t\\t<option selected={true} value={null}>{$_('selectLang')}</option>\\n\\t\\t\\t\\t{#each video.captions as caption}\\n\\t\\t\\t\\t\\t<option value={caption.url}>{caption.label}</option>\\n\\t\\t\\t\\t{/each}\\n\\t\\t\\t</select>\\n\\t\\t\\t<label for=\\"captions\\">{$_('language')}</label>\\n\\t\\t\\t<i>arrow_drop_down</i>\\n\\t\\t</div>\\n\\t\\t{#if transcriptCues.length > 0}\\n\\t\\t\\t<div class=\\"max field round suffix prefix small no-margin surface-variant\\">\\n\\t\\t\\t\\t<i class=\\"front\\">search</i><input\\n\\t\\t\\t\\t\\tbind:value={search}\\n\\t\\t\\t\\t\\ton:input={searchTranscript}\\n\\t\\t\\t\\t\\ttype=\\"text\\"\\n\\t\\t\\t\\t\\tplaceholder={$_('searchPlaceholder')}\\n\\t\\t\\t\\t/>\\n\\t\\t\\t</div>\\n\\t\\t\\t<div class=\\"space\\"></div>\\n\\t\\t\\t<label class=\\"checkbox\\">\\n\\t\\t\\t\\t<input bind:checked={autoScroll} type=\\"checkbox\\" />\\n\\t\\t\\t\\t<span>Auto scroll</span>\\n\\t\\t\\t</label>\\n\\t\\t{/if}\\n\\t\\t<div class=\\"space\\"></div>\\n\\t\\t<div class=\\"divider\\"></div>\\n\\t</article>\\n\\n\\t{#if isLoading}\\n\\t\\t<nav class=\\"center-align\\">\\n\\t\\t\\t<progress class=\\"circle\\"></progress>\\n\\t\\t</nav>\\n\\t{:else if transcript}\\n\\t\\t{#if transcript.cues.length > 0}\\n\\t\\t\\t{#if transcriptCues.length > 0}\\n\\t\\t\\t\\t{#each transcriptCues as cue}\\n\\t\\t\\t\\t\\t<div\\n\\t\\t\\t\\t\\t\\tclass=\\"transcript-line\\"\\n\\t\\t\\t\\t\\t\\tid={\`transcript-line-\${cue.startTime}\`}\\n\\t\\t\\t\\t\\t\\ton:click={() => (player.currentTime = cue.startTime)}\\n\\t\\t\\t\\t\\t\\tclass:secondary-container={currentTime >= cue.startTime && currentTime <= cue.endTime}\\n\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t\\t<p class=\\"chip no-margin\\">{videoLength(cue.startTime)}</p>\\n\\t\\t\\t\\t\\t\\t<p class=\\"transcript-text\\">{decodeHtmlCharCodes(cue.text.replace(/<[^>]+>/g, ''))}</p>\\n\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t{/each}\\n\\t\\t\\t{:else}\\n\\t\\t\\t\\t<nav class=\\"center-align\\">\\n\\t\\t\\t\\t\\t<h6>{$_('noResult')}</h6>\\n\\t\\t\\t\\t</nav>\\n\\t\\t\\t{/if}\\n\\t\\t{:else}\\n\\t\\t\\t<nav class=\\"center-align\\">\\n\\t\\t\\t\\t<h6>{$_('noCaptionData')}</h6>\\n\\t\\t\\t</nav>\\n\\t\\t{/if}\\n\\t{/if}\\n</article>\\n\\n<style>\\n\\t.transcript-line {\\n\\t\\tdisplay: flex;\\n\\t\\tcursor: pointer;\\n\\t\\talign-items: center;\\n\\t\\tpadding: 0.5em;\\n\\t\\tmargin: 1em;\\n\\t}\\n\\n\\t.transcript-text {\\n\\t\\tmargin-left: 1em;\\n\\t}\\n\\n\\t.transcript-line .chip {\\n\\t\\tpadding: 0 1.5em;\\n\\t}\\n</style>\\n"],"names":[],"mappings":"AAqHC,4CAAiB,CAChB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,OAAO,CACf,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GACT,CAEA,4CAAiB,CAChB,WAAW,CAAE,GACd,CAEA,8BAAgB,CAAC,mBAAM,CACtB,OAAO,CAAE,CAAC,CAAC,KACZ"}`
};
const Transcript = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $_, $$unsubscribe__;
  $$unsubscribe__ = subscribe($format, (value) => $_ = value);
  let { video } = $$props;
  let { player } = $$props;
  let autoScroll = true;
  let transcriptCues = [];
  let search = "";
  player.addEventListener("time-update", (event) => {
    event.detail.currentTime;
    {
      const currentTranscriptLine = document.querySelector(".transcript-line.secondary-container");
      const transcriptScrollable = document.getElementById("transcript");
      if (currentTranscriptLine && transcriptScrollable) {
        transcriptScrollable.scrollTop = currentTranscriptLine.offsetTop - transcriptScrollable.offsetTop - 300;
      }
    }
  });
  if ($$props.video === void 0 && $$bindings.video && video !== void 0) $$bindings.video(video);
  if ($$props.player === void 0 && $$bindings.player && player !== void 0) $$bindings.player(player);
  $$result.css.add(css$1);
  $$unsubscribe__();
  return `<article class="scroll no-padding" style="height: 75vh;" id="transcript"><article class="no-elevate" style="position: sticky; top: 0; z-index: 3;"><h6>${escape($_("transcript"))}</h6> <div class="field label suffix border"><select name="captions"><option ${"selected"}${add_attribute("value", null, 0)}>${escape($_("selectLang"))}</option>${each(video.captions, (caption) => {
    return `<option${add_attribute("value", caption.url, 0)}>${escape(caption.label)}</option>`;
  })}</select> <label for="captions">${escape($_("language"))}</label> <i data-svelte-h="svelte-1bv0s5u">arrow_drop_down</i></div> ${transcriptCues.length > 0 ? `<div class="max field round suffix prefix small no-margin surface-variant"><i class="front" data-svelte-h="svelte-t6yvho">search</i><input type="text"${add_attribute("placeholder", $_("searchPlaceholder"), 0)}${add_attribute("value", search, 0)}></div> <div class="space"></div> <label class="checkbox"><input type="checkbox"${add_attribute("checked", autoScroll, 1)}> <span data-svelte-h="svelte-gaobr6">Auto scroll</span></label>` : ``} <div class="space"></div> <div class="divider"></div></article> ${`${``}`} </article>`;
});
const css = {
  code: ":root{--plyr-color-main:var(--primary)}.timestamps.svelte-pkvqan.svelte-pkvqan{margin-left:0;margin-bottom:0.4em;display:block;padding:0;text-align:left;background-color:transparent;color:var(--on-secondary-container)}.timestamps.svelte-pkvqan.svelte-pkvqan:hover{padding:0 0.5em}.video-actions.svelte-pkvqan.svelte-pkvqan{display:flex;align-items:center;justify-content:flex-end}.video-actions.svelte-pkvqan button.svelte-pkvqan:not(.left-round):not(.right-round){margin:0.3em}@media screen and (max-width: 1000px){.video-actions.svelte-pkvqan.svelte-pkvqan{align-items:flex-start;flex-direction:column}}@media screen and (max-width: 1000px){.video-actions.svelte-pkvqan>div.svelte-pkvqan{margin-top:1em}}@media screen and (max-width: 1000px){menu.svelte-pkvqan.svelte-pkvqan{z-index:9999;position:fixed;top:30%;left:50%;width:100%;transform:translate(-50%, 50%);background-color:var(--surface-variant)}}@media screen and (max-width: 1646px){.grid.svelte-pkvqan.svelte-pkvqan{padding:0}}",
  map: `{"version":3,"file":"+page.svelte","sources":["+page.svelte"],"sourcesContent":["<script lang=\\"ts\\">import { goto } from \\"$app/navigation\\";\\nimport {\\n  addPlaylistVideo,\\n  deleteUnsubscribe,\\n  getComments,\\n  getPersonalPlaylists,\\n  getPlaylist,\\n  postSubscribe,\\n  removePlaylistVideo\\n} from \\"$lib/api/index\\";\\nimport Comment from \\"$lib/components/Comment.svelte\\";\\nimport Player from \\"$lib/components/Player.svelte\\";\\nimport ShareVideo from \\"$lib/components/ShareVideo.svelte\\";\\nimport Thumbnail from \\"$lib/components/Thumbnail.svelte\\";\\nimport Transcript from \\"$lib/components/Transcript.svelte\\";\\nimport { getBestThumbnail, proxyGoogleImage } from \\"$lib/images\\";\\nimport { letterCase } from \\"$lib/letterCasing\\";\\nimport { truncate, unsafeRandomItem } from \\"$lib/misc\\";\\nimport {\\n  activePageStore,\\n  authStore,\\n  interfaceAutoExpandComments,\\n  interfaceAutoExpandDesc,\\n  interfaceLowBandwidthMode,\\n  miniPlayerSrcStore,\\n  playerAutoplayNextByDefaultStore,\\n  playerListenByDefaultStore,\\n  playerMiniPlayerStore,\\n  playerTheatreModeByDefaultStore,\\n  playlistSettingsStore,\\n  syncPartyConnectionsStore,\\n  syncPartyPeerStore\\n} from \\"$lib/store\\";\\nimport { cleanNumber, humanizeSeconds, numberWithCommas } from \\"$lib/time\\";\\nimport ui from \\"beercss\\";\\nimport {} from \\"sponsorblock-api\\";\\nimport { onDestroy, onMount, tick } from \\"svelte\\";\\nimport { _ } from \\"svelte-i18n\\";\\nimport { get } from \\"svelte/store\\";\\nexport let data;\\nlet comments = null;\\ndata.streamed.comments?.then((streamedComments) => {\\n  comments = streamedComments;\\n});\\nlet subscribed = false;\\ndata.streamed.subscribed.then((streamedIsSubbed) => {\\n  subscribed = streamedIsSubbed;\\n});\\nlet personalPlaylists = null;\\ndata.streamed.personalPlaylists?.then((streamPlaylists) => personalPlaylists = streamPlaylists);\\nactivePageStore.set(null);\\nlet playlistVideos = [];\\nlet playlist = null;\\nlet loopPlaylist = false;\\nlet shufflePlaylist = false;\\nlet theatreMode = get(playerTheatreModeByDefaultStore);\\nlet audioMode = get(playerListenByDefaultStore);\\nlet player;\\nlet segments = [];\\nlet pauseTimerSeconds = -1;\\nlet showTranscript = false;\\nlet playerCurrentTime = 0;\\n$: if (typeof player !== \\"undefined\\") {\\n  playerCurrentTime = player.currentTime;\\n  player.addEventListener(\\n    \\"time-update\\",\\n    (event) => playerCurrentTime = event.detail.currentTime\\n  );\\n}\\nplaylistSettingsStore.subscribe((playlistSetting) => {\\n  if (!data.playlistId) return;\\n  if (data.playlistId in playlistSetting) {\\n    loopPlaylist = playlistSetting[data.playlistId].loop;\\n    shufflePlaylist = playlistSetting[data.playlistId].shuffle;\\n  }\\n});\\nfunction playerSyncEvents(conn) {\\n  if (player) {\\n    conn.send({\\n      events: [{ type: \\"seek\\", time: player.currentTime }]\\n    });\\n  }\\n  if (data.playlistId) {\\n    conn.send({\\n      events: [\\n        {\\n          type: \\"playlist\\",\\n          playlistId: data.playlistId\\n        }\\n      ]\\n    });\\n  }\\n  conn.on(\\"data\\", (rawData) => {\\n    const events = rawData;\\n    events.events.forEach(async (event) => {\\n      if (!player) return;\\n      if (event.type === \\"pause\\") {\\n        player.pause();\\n      } else if (event.type === \\"play\\") {\\n        player.play();\\n      } else if (event.type === \\"seek\\" && event.time) {\\n        const timeDiff = player.currentTime - event.time;\\n        if (timeDiff > 5 || timeDiff < -5) {\\n          player.currentTime = event.time;\\n        }\\n      } else if (event.type === \\"playlist\\" && event.playlistId && event.playlistId !== data.playlistId) {\\n        data.playlistId = event.playlistId;\\n        await loadPlaylist(event.playlistId);\\n        goToCurrentPlaylistItem();\\n      }\\n    });\\n  });\\n  if (!player) return;\\n  player.addEventListener(\\"auto-play-fail\\", () => {\\n    conn.send({\\n      events: [\\n        {\\n          type: \\"pause\\"\\n        }\\n      ]\\n    });\\n  });\\n  player.addEventListener(\\"auto-play\\", () => {\\n    if (!player) return;\\n    conn.send({\\n      events: [\\n        {\\n          type: \\"seek\\",\\n          time: player.currentTime\\n        },\\n        {\\n          type: \\"play\\"\\n        }\\n      ]\\n    });\\n  });\\n  player.addEventListener(\\"pause\\", () => {\\n    conn.send({\\n      events: [\\n        {\\n          type: \\"pause\\"\\n        }\\n      ]\\n    });\\n  });\\n  player.addEventListener(\\"playing\\", () => {\\n    if (!player) return;\\n    conn.send({\\n      events: [\\n        {\\n          type: \\"seek\\",\\n          time: player.currentTime\\n        },\\n        {\\n          type: \\"play\\"\\n        }\\n      ]\\n    });\\n  });\\n  player.addEventListener(\\"play\\", () => {\\n    if (!player) return;\\n    conn.send({\\n      events: [\\n        {\\n          type: \\"seek\\",\\n          time: player.currentTime\\n        },\\n        {\\n          type: \\"play\\"\\n        }\\n      ]\\n    });\\n  });\\n  player.addEventListener(\\"waiting\\", () => {\\n    conn.send({\\n      events: [\\n        {\\n          type: \\"pause\\"\\n        }\\n      ]\\n    });\\n  });\\n  player.addEventListener(\\"seeked\\", () => {\\n    if (!player) return;\\n    conn.send({\\n      events: [\\n        {\\n          type: \\"seek\\",\\n          time: player.currentTime\\n        }\\n      ]\\n    });\\n  });\\n}\\nsyncPartyConnectionsStore.subscribe((connections) => {\\n  if (!connections || !player) return;\\n  playerSyncEvents(connections[connections.length - 1]);\\n});\\nonMount(async () => {\\n  if ($syncPartyConnectionsStore) {\\n    $syncPartyConnectionsStore.forEach((conn) => {\\n      playerSyncEvents(conn);\\n    });\\n  }\\n  if (player) {\\n    player.addEventListener(\\"end\\", async () => {\\n      if (playlistVideos.length === 0) {\\n        if ($playerAutoplayNextByDefaultStore) {\\n          goto(\`/watch/\${data.video.recommendedVideos[0].videoId}\`);\\n        }\\n        return;\\n      }\\n      await goToCurrentPlaylistItem();\\n      const playlistVideoIds = playlistVideos.map((value) => {\\n        return value.videoId;\\n      });\\n      let goToVideo;\\n      if (shufflePlaylist) {\\n        goToVideo = unsafeRandomItem(playlistVideos);\\n      } else {\\n        const currentVideoIndex = playlistVideoIds.indexOf(data.video.videoId);\\n        const newIndex = currentVideoIndex + 1;\\n        if (currentVideoIndex !== -1 && newIndex < playlistVideoIds.length) {\\n          goToVideo = playlistVideos[newIndex];\\n        } else if (loopPlaylist) {\\n          goToVideo = playlistVideos[0];\\n        }\\n      }\\n      if (typeof goToVideo !== \\"undefined\\") {\\n        if ($syncPartyConnectionsStore) {\\n          $syncPartyConnectionsStore.forEach((conn) => {\\n            if (typeof goToVideo === \\"undefined\\") return;\\n            conn.send({\\n              events: [\\n                { type: \\"change-video\\", videoId: goToVideo.videoId },\\n                { type: \\"playlist\\", playlistId: data.playlistId }\\n              ]\\n            });\\n          });\\n        }\\n        goto(\`/watch/\${goToVideo.videoId}?playlist=\${data.playlistId}\`);\\n      }\\n    });\\n  }\\n  if (!data.playlistId) return;\\n  await loadPlaylist(data.playlistId);\\n  await goToCurrentPlaylistItem();\\n});\\nonDestroy(() => {\\n  document.title = \\"Materialious\\";\\n  if (pauseTimeout) {\\n    clearTimeout(pauseTimeout);\\n  }\\n  if (get(playerMiniPlayerStore) && !player.paused && !$syncPartyPeerStore && !data.video.hlsUrl && data.video.formatStreams && data.video.formatStreams.length > 0 && data.video.fallbackPatch === void 0) {\\n    miniPlayerSrcStore.set({\\n      video: data.video,\\n      time: player.currentTime\\n    });\\n  }\\n});\\nasync function loadPlaylist(playlistId) {\\n  for (let page = 1; page < Infinity; page++) {\\n    const newPlaylist = await getPlaylist(playlistId, page);\\n    if (page === 1) {\\n      playlist = newPlaylist;\\n    }\\n    const newVideos = newPlaylist.videos;\\n    if (newVideos.length === 0) {\\n      break;\\n    }\\n    playlistVideos = [...playlistVideos, ...newVideos].sort(\\n      (a, b) => {\\n        return a.index < b.index ? -1 : 1;\\n      }\\n    );\\n    playlistVideos = playlistVideos.filter((playlistVideo) => {\\n      return playlistVideo.lengthSeconds > 0;\\n    });\\n  }\\n}\\nasync function goToCurrentPlaylistItem() {\\n  await tick();\\n  const playlistCurrentVideo = document.getElementById(data.video.videoId);\\n  const playlistScrollable = document.getElementById(\\"playlist\\");\\n  if (playlistCurrentVideo && playlistScrollable) {\\n    playlistScrollable.scrollTop = playlistCurrentVideo.offsetTop - playlistScrollable.offsetTop - 200;\\n  }\\n}\\nasync function toggleVideoToPlaylist(playlistId) {\\n  if (!personalPlaylists) return;\\n  const selectedPlaylist = personalPlaylists.filter((item) => {\\n    return item.playlistId === playlistId;\\n  });\\n  if (selectedPlaylist.length === 0) {\\n    return;\\n  }\\n  const videosToDelete = selectedPlaylist[0].videos.filter((item) => {\\n    return item.videoId === data.video.videoId;\\n  });\\n  if (videosToDelete.length > 0) {\\n    videosToDelete.forEach(async (toDelete) => {\\n      await removePlaylistVideo(playlistId, toDelete.indexId);\\n    });\\n  } else {\\n    await addPlaylistVideo(playlistId, data.video.videoId);\\n  }\\n  setTimeout(async () => personalPlaylists = await getPersonalPlaylists(), 500);\\n}\\nasync function loadMoreComments() {\\n  if (!comments) {\\n    return;\\n  }\\n  const loadedComments = await getComments(data.video.videoId, {\\n    continuation: comments?.continuation\\n  });\\n  comments.continuation = loadedComments.continuation;\\n  comments.comments = [...comments.comments, ...loadedComments.comments];\\n}\\nasync function toggleSubscribed() {\\n  if (subscribed) {\\n    await deleteUnsubscribe(data.video.authorId);\\n  } else {\\n    await postSubscribe(data.video.authorId);\\n  }\\n  subscribed = !subscribed;\\n}\\nfunction toggleTheatreMode() {\\n  theatreMode = !theatreMode;\\n}\\nlet pauseTimeout;\\nfunction setPauseTimer() {\\n  if (pauseTimeout) {\\n    clearTimeout(pauseTimeout);\\n  }\\n  pauseTimeout = setTimeout(() => {\\n    player.pause();\\n    pauseTimerSeconds = 0;\\n    clearTimeout(pauseTimeout);\\n  }, pauseTimerSeconds * 1e3);\\n  ui(\\"#pause-timer\\");\\n}\\nlet downloadStage;\\nlet downloadProgress = 0;\\n<\/script>\\n\\n<svelte:head>\\n\\t<title>{data.video.title} | Materialious</title>\\n</svelte:head>\\n\\n<div class=\\"space\\"></div>\\n\\n<div class=\\"grid\\">\\n\\t<div class={\`s12 m12 l\${theatreMode ? '12' : '9'}\`}>\\n\\t\\t<div style=\\"display: flex;justify-content: center;\\">\\n\\t\\t\\t{#key data.video.videoId}\\n\\t\\t\\t\\t<div\\n\\t\\t\\t\\t\\tstyle=\\"max-height: 80vh;max-width: calc(80vh * 16 / 9);overflow: hidden;position: relative;flex: 1;\\"\\n\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t<Player\\n\\t\\t\\t\\t\\t\\tbind:segments\\n\\t\\t\\t\\t\\t\\t{data}\\n\\t\\t\\t\\t\\t\\t{audioMode}\\n\\t\\t\\t\\t\\t\\tisSyncing={$syncPartyPeerStore !== null}\\n\\t\\t\\t\\t\\t\\tbind:player\\n\\t\\t\\t\\t\\t/>\\n\\t\\t\\t\\t</div>\\n\\t\\t\\t{/key}\\n\\t\\t</div>\\n\\n\\t\\t{#if downloadStage}\\n\\t\\t\\t<article>\\n\\t\\t\\t\\t<h6>\\n\\t\\t\\t\\t\\t{downloadStage}\\n\\t\\t\\t\\t\\t{#if downloadProgress > 0}\\n\\t\\t\\t\\t\\t\\t({Math.round(downloadProgress)}%)\\n\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t</h6>\\n\\t\\t\\t\\t<progress class=\\"max\\" value={downloadProgress} max=\\"100\\"></progress>\\n\\t\\t\\t</article>\\n\\t\\t{/if}\\n\\n\\t\\t<h5>{letterCase(data.video.title)}</h5>\\n\\n\\t\\t<div class=\\"grid no-padding\\">\\n\\t\\t\\t<div class=\\"s12 m12 l5\\">\\n\\t\\t\\t\\t<nav>\\n\\t\\t\\t\\t\\t<a href={\`/channel/\${data.video.authorId}\`}>\\n\\t\\t\\t\\t\\t\\t<nav>\\n\\t\\t\\t\\t\\t\\t\\t{#if !$interfaceLowBandwidthMode}\\n\\t\\t\\t\\t\\t\\t\\t\\t<img\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tclass=\\"circle large\\"\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tsrc={proxyGoogleImage(getBestThumbnail(data.video.authorThumbnails))}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\talt=\\"Channel profile\\"\\n\\t\\t\\t\\t\\t\\t\\t\\t/>\\n\\t\\t\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t\\t\\t\\t<div>\\n\\t\\t\\t\\t\\t\\t\\t\\t<p style=\\"margin: 0;\\" class=\\"bold\\">{truncate(data.video.author, 16)}</p>\\n\\t\\t\\t\\t\\t\\t\\t\\t<p style=\\"margin: 0;\\">{data.video.subCountText}</p>\\n\\t\\t\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t\\t\\t</nav>\\n\\t\\t\\t\\t\\t</a>\\n\\t\\t\\t\\t\\t{#if $authStore}\\n\\t\\t\\t\\t\\t\\t<button\\n\\t\\t\\t\\t\\t\\t\\ton:click={toggleSubscribed}\\n\\t\\t\\t\\t\\t\\t\\tclass:inverse-surface={!subscribed}\\n\\t\\t\\t\\t\\t\\t\\tclass:border={subscribed}\\n\\t\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t\\t\\t{#if !subscribed}\\n\\t\\t\\t\\t\\t\\t\\t\\t{$_('subscribe')}\\n\\t\\t\\t\\t\\t\\t\\t{:else}\\n\\t\\t\\t\\t\\t\\t\\t\\t{$_('unsubscribe')}\\n\\t\\t\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t\\t\\t</button>\\n\\t\\t\\t\\t\\t{:else}\\n\\t\\t\\t\\t\\t\\t<button class=\\"inverse-surface\\" disabled>\\n\\t\\t\\t\\t\\t\\t\\t{$_('subscribe')}\\n\\t\\t\\t\\t\\t\\t\\t<div class=\\"tooltip\\">\\n\\t\\t\\t\\t\\t\\t\\t\\t{$_('loginRequired')}\\n\\t\\t\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t\\t\\t</button>\\n\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t</nav>\\n\\t\\t\\t</div>\\n\\t\\t\\t<div class=\\"s12 m12 l7 video-actions\\">\\n\\t\\t\\t\\t{#await data.streamed.returnYTDislikes then returnYTDislikes}\\n\\t\\t\\t\\t\\t{#if returnYTDislikes}\\n\\t\\t\\t\\t\\t\\t<nav class=\\"no-space\\" style=\\"margin-right: .5em;\\">\\n\\t\\t\\t\\t\\t\\t\\t<button style=\\"cursor: default;\\" class=\\"border left-round\\">\\n\\t\\t\\t\\t\\t\\t\\t\\t<i class=\\"small\\">thumb_up</i>\\n\\t\\t\\t\\t\\t\\t\\t\\t<span>{cleanNumber(returnYTDislikes.likes)}</span>\\n\\t\\t\\t\\t\\t\\t\\t</button>\\n\\t\\t\\t\\t\\t\\t\\t<button style=\\"cursor: default;\\" class=\\"border right-round\\">\\n\\t\\t\\t\\t\\t\\t\\t\\t<i class=\\"small\\">thumb_down_alt</i>\\n\\t\\t\\t\\t\\t\\t\\t\\t<span>{cleanNumber(returnYTDislikes.dislikes)}</span>\\n\\t\\t\\t\\t\\t\\t\\t</button>\\n\\t\\t\\t\\t\\t\\t</nav>\\n\\t\\t\\t\\t\\t{:else}\\n\\t\\t\\t\\t\\t\\t<button style=\\"cursor: default;\\" class=\\"border\\">\\n\\t\\t\\t\\t\\t\\t\\t<i class=\\"small\\">thumb_up</i>\\n\\t\\t\\t\\t\\t\\t\\t<span>{cleanNumber(data.video.likeCount)}</span>\\n\\t\\t\\t\\t\\t\\t</button>\\n\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t{/await}\\n\\n\\t\\t\\t\\t<div>\\n\\t\\t\\t\\t\\t<button on:click={() => (audioMode = !audioMode)} class:border={!audioMode}>\\n\\t\\t\\t\\t\\t\\t<i>headphones</i>\\n\\t\\t\\t\\t\\t\\t<div class=\\"tooltip\\">{$_('player.audioOnly')}</div>\\n\\t\\t\\t\\t\\t</button>\\n\\t\\t\\t\\t\\t<button on:click={toggleTheatreMode} class=\\"m l\\" class:border={!theatreMode}>\\n\\t\\t\\t\\t\\t\\t<i>width_wide</i>\\n\\t\\t\\t\\t\\t\\t<div class=\\"tooltip\\">{$_('player.theatreMode')}</div>\\n\\t\\t\\t\\t\\t</button>\\n\\t\\t\\t\\t\\t{#if data.video.lengthSeconds > 60 && !data.video.hlsUrl}\\n\\t\\t\\t\\t\\t\\t<button\\n\\t\\t\\t\\t\\t\\t\\ton:click={() => {\\n\\t\\t\\t\\t\\t\\t\\t\\tif (pauseTimeout) {\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tclearTimeout(pauseTimeout);\\n\\t\\t\\t\\t\\t\\t\\t\\t}\\n\\t\\t\\t\\t\\t\\t\\t\\tpauseTimerSeconds = 0;\\n\\t\\t\\t\\t\\t\\t\\t\\tui('#pause-timer');\\n\\t\\t\\t\\t\\t\\t\\t}}\\n\\t\\t\\t\\t\\t\\t\\tclass:border={pauseTimerSeconds < 1}\\n\\t\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t\\t\\t<i>schedule</i>\\n\\t\\t\\t\\t\\t\\t\\t<div class=\\"tooltip\\">{$_('player.pauseTimer')}</div>\\n\\t\\t\\t\\t\\t\\t</button>\\n\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t\\t<button\\n\\t\\t\\t\\t\\t\\ton:click={() => ((showTranscript = !showTranscript), (theatreMode = false))}\\n\\t\\t\\t\\t\\t\\tclass:border={!showTranscript}\\n\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t\\t<i>description</i>\\n\\t\\t\\t\\t\\t\\t<div class=\\"tooltip\\">\\n\\t\\t\\t\\t\\t\\t\\t{$_('transcript')}\\n\\t\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t\\t</button>\\n\\t\\t\\t\\t\\t<button class=\\"border\\"\\n\\t\\t\\t\\t\\t\\t><i>share</i>\\n\\t\\t\\t\\t\\t\\t<div class=\\"tooltip\\">\\n\\t\\t\\t\\t\\t\\t\\t{$_('player.share.title')}\\n\\t\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t\\t\\t<menu class=\\"no-wrap\\">\\n\\t\\t\\t\\t\\t\\t\\t<ShareVideo video={data.video} />\\n\\t\\t\\t\\t\\t\\t</menu></button\\n\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t{#if personalPlaylists}\\n\\t\\t\\t\\t\\t\\t<button class=\\"border\\">\\n\\t\\t\\t\\t\\t\\t\\t<i>add</i>\\n\\t\\t\\t\\t\\t\\t\\t<div class=\\"tooltip\\">{$_('player.addToPlaylist')}</div>\\n\\t\\t\\t\\t\\t\\t\\t<menu class=\\"no-wrap\\">\\n\\t\\t\\t\\t\\t\\t\\t\\t{#each personalPlaylists as personalPlaylist}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t<a\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\thref=\\"#add\\"\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\ton:click={async () => await toggleVideoToPlaylist(personalPlaylist.playlistId)}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t<nav>\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t<span class=\\"max\\">{personalPlaylist.title}</span>\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t{#if personalPlaylist.videos.filter((item) => {\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\treturn item.videoId === data.video.videoId;\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t}).length > 0}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t<i>close</i>\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t{:else}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t<i>add</i>\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t</nav>\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t</a>\\n\\t\\t\\t\\t\\t\\t\\t\\t{/each}\\n\\t\\t\\t\\t\\t\\t\\t</menu>\\n\\t\\t\\t\\t\\t\\t</button>\\n\\t\\t\\t\\t\\t{:else}\\n\\t\\t\\t\\t\\t\\t<button disabled class=\\"border no-margin\\">\\n\\t\\t\\t\\t\\t\\t\\t<i>add</i>\\n\\t\\t\\t\\t\\t\\t\\t<div class=\\"tooltip\\">\\n\\t\\t\\t\\t\\t\\t\\t\\t{#if $authStore}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t{$_('player.noPlaylists')}\\n\\t\\t\\t\\t\\t\\t\\t\\t{:else}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t{$_('loginRequired')}\\n\\t\\t\\t\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t\\t\\t</button>\\n\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t</div>\\n\\t\\t\\t</div>\\n\\t\\t</div>\\n\\n\\t\\t<article>\\n\\t\\t\\t<details open={$interfaceAutoExpandDesc}>\\n\\t\\t\\t\\t<summary class=\\"bold none\\">\\n\\t\\t\\t\\t\\t<nav>\\n\\t\\t\\t\\t\\t\\t<div class=\\"max\\">\\n\\t\\t\\t\\t\\t\\t\\t{numberWithCommas(data.video.viewCount)} views • {data.video.publishedText}\\n\\t\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t\\t\\t<i>expand_more</i>\\n\\t\\t\\t\\t\\t</nav>\\n\\t\\t\\t\\t</summary>\\n\\t\\t\\t\\t<div class=\\"space\\"></div>\\n\\t\\t\\t\\t<div class=\\"medium scroll\\">\\n\\t\\t\\t\\t\\t<div style=\\"white-space: pre-line; overflow-wrap: break-word;\\">\\n\\t\\t\\t\\t\\t\\t{@html data.content.description}\\n\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t\\t{#if data.content}\\n\\t\\t\\t\\t\\t\\t{#if data.content.timestamps.length > 0}\\n\\t\\t\\t\\t\\t\\t\\t<h6 style=\\"margin-bottom: .3em;\\">Chapters</h6>\\n\\t\\t\\t\\t\\t\\t\\t{#each data.content.timestamps as timestamp}\\n\\t\\t\\t\\t\\t\\t\\t\\t<button on:click={() => (player.currentTime = timestamp.time)} class=\\"timestamps\\"\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t>{timestamp.timePretty}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t{#if !timestamp.title.startsWith('-')}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t-\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t{timestamp.title}</button\\n\\t\\t\\t\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t\\t\\t{/each}\\n\\t\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t</div>\\n\\n\\t\\t\\t\\t<nav class=\\"scroll\\">\\n\\t\\t\\t\\t\\t{#if data.video.keywords}\\n\\t\\t\\t\\t\\t\\t{#each data.video.keywords as keyword}\\n\\t\\t\\t\\t\\t\\t\\t<a href={\`/search/\${encodeURIComponent(keyword)}\`} class=\\"chip\\">{keyword}</a>\\n\\t\\t\\t\\t\\t\\t{/each}\\n\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t</nav>\\n\\t\\t\\t</details>\\n\\t\\t</article>\\n\\n\\t\\t{#if comments && comments.comments.length > 0}\\n\\t\\t\\t<article>\\n\\t\\t\\t\\t<details open={$interfaceAutoExpandComments}>\\n\\t\\t\\t\\t\\t<summary class=\\"none bold\\">\\n\\t\\t\\t\\t\\t\\t<nav>\\n\\t\\t\\t\\t\\t\\t\\t<div class=\\"max\\">{numberWithCommas(comments.commentCount)} comments</div>\\n\\t\\t\\t\\t\\t\\t\\t<i>expand_more</i>\\n\\t\\t\\t\\t\\t\\t</nav>\\n\\t\\t\\t\\t\\t</summary>\\n\\n\\t\\t\\t\\t\\t<div class=\\"space\\"></div>\\n\\n\\t\\t\\t\\t\\t<div class=\\"medium scroll\\">\\n\\t\\t\\t\\t\\t\\t{#each comments.comments as comment}\\n\\t\\t\\t\\t\\t\\t\\t<Comment {comment} videoId={data.video.videoId}></Comment>\\n\\t\\t\\t\\t\\t\\t{/each}\\n\\t\\t\\t\\t\\t\\t{#if comments.continuation}\\n\\t\\t\\t\\t\\t\\t\\t<button on:click={loadMoreComments} class=\\"margin\\">{$_('loadMore')}</button>\\n\\t\\t\\t\\t\\t\\t{/if}\\n\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t</details>\\n\\t\\t\\t</article>\\n\\t\\t{/if}\\n\\t</div>\\n\\t{#if !theatreMode}\\n\\t\\t<div class=\\"s12 m12 l3\\">\\n\\t\\t\\t{#if player && showTranscript}\\n\\t\\t\\t\\t<Transcript bind:player video={data.video} />\\n\\t\\t\\t{/if}\\n\\t\\t\\t{#if playlist}\\n\\t\\t\\t\\t<article\\n\\t\\t\\t\\t\\tstyle=\\"height: 85vh; position: relative;\\"\\n\\t\\t\\t\\t\\tid=\\"playlist\\"\\n\\t\\t\\t\\t\\tclass=\\"scroll no-padding surface-container-high\\"\\n\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t<article class=\\"no-elevate\\" style=\\"position: sticky; top: 0; z-index: 3;\\">\\n\\t\\t\\t\\t\\t\\t<h6>{playlist.title}</h6>\\n\\t\\t\\t\\t\\t\\t<p>\\n\\t\\t\\t\\t\\t\\t\\t{cleanNumber(playlist.viewCount)}\\n\\t\\t\\t\\t\\t\\t\\t{$_('views')} • {playlist.videoCount}\\n\\t\\t\\t\\t\\t\\t\\t{$_('videos')}\\n\\t\\t\\t\\t\\t\\t</p>\\n\\t\\t\\t\\t\\t\\t<p><a href={\`/channel/\${playlist.authorId}\`}>{playlist.author}</a></p>\\n\\t\\t\\t\\t\\t\\t<nav>\\n\\t\\t\\t\\t\\t\\t\\t<button\\n\\t\\t\\t\\t\\t\\t\\t\\ton:click={() => {\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!playlist) return;\\n\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tloopPlaylist = !loopPlaylist;\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tplaylistSettingsStore.set({\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t[playlist.playlistId]: { loop: loopPlaylist, shuffle: shufflePlaylist }\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t});\\n\\t\\t\\t\\t\\t\\t\\t\\t}}\\n\\t\\t\\t\\t\\t\\t\\t\\tclass=\\"circle\\"\\n\\t\\t\\t\\t\\t\\t\\t\\tclass:fill={!loopPlaylist}\\n\\t\\t\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t\\t\\t\\t<i>loop</i>\\n\\t\\t\\t\\t\\t\\t\\t\\t<div class=\\"tooltip bottom\\">\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t{$_('playlist.loopPlaylist')}\\n\\t\\t\\t\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t\\t\\t\\t</button>\\n\\t\\t\\t\\t\\t\\t\\t<button\\n\\t\\t\\t\\t\\t\\t\\t\\ton:click={() => {\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!playlist) return;\\n\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tshufflePlaylist = !shufflePlaylist;\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tplaylistSettingsStore.set({\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t[playlist.playlistId]: { loop: loopPlaylist, shuffle: shufflePlaylist }\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t});\\n\\t\\t\\t\\t\\t\\t\\t\\t}}\\n\\t\\t\\t\\t\\t\\t\\t\\tclass=\\"circle\\"\\n\\t\\t\\t\\t\\t\\t\\t\\tclass:fill={!shufflePlaylist}\\n\\t\\t\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t\\t\\t\\t<i>shuffle</i>\\n\\t\\t\\t\\t\\t\\t\\t\\t<div class=\\"tooltip bottom\\">\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t{$_('playlist.shuffleVideos')}\\n\\t\\t\\t\\t\\t\\t\\t\\t</div>\\n\\t\\t\\t\\t\\t\\t\\t</button>\\n\\t\\t\\t\\t\\t\\t</nav>\\n\\n\\t\\t\\t\\t\\t\\t<div class=\\"space\\"></div>\\n\\t\\t\\t\\t\\t\\t<div class=\\"divider\\"></div>\\n\\t\\t\\t\\t\\t</article>\\n\\n\\t\\t\\t\\t\\t<div class=\\"space\\"></div>\\n\\n\\t\\t\\t\\t\\t{#each playlistVideos as playlistVideo}\\n\\t\\t\\t\\t\\t\\t<article\\n\\t\\t\\t\\t\\t\\t\\tclass=\\"no-padding primary-border\\"\\n\\t\\t\\t\\t\\t\\t\\tstyle=\\"margin: .7em;\\"\\n\\t\\t\\t\\t\\t\\t\\tid={playlistVideo.videoId}\\n\\t\\t\\t\\t\\t\\t\\tclass:border={playlistVideo.videoId === data.video.videoId}\\n\\t\\t\\t\\t\\t\\t>\\n\\t\\t\\t\\t\\t\\t\\t{#key playlistVideo.videoId}\\n\\t\\t\\t\\t\\t\\t\\t\\t<Thumbnail\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tvideo={playlistVideo}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tsideways={true}\\n\\t\\t\\t\\t\\t\\t\\t\\t\\tplaylistId={data.playlistId || undefined}\\n\\t\\t\\t\\t\\t\\t\\t\\t/>\\n\\t\\t\\t\\t\\t\\t\\t{/key}\\n\\t\\t\\t\\t\\t\\t</article>\\n\\t\\t\\t\\t\\t{/each}\\n\\t\\t\\t\\t</article>\\n\\t\\t\\t{:else if data.video.recommendedVideos}\\n\\t\\t\\t\\t{#each data.video.recommendedVideos as recommendedVideo}\\n\\t\\t\\t\\t\\t<article class=\\"no-padding\\">\\n\\t\\t\\t\\t\\t\\t{#key recommendedVideo.videoId}\\n\\t\\t\\t\\t\\t\\t\\t<Thumbnail video={recommendedVideo} sideways={true} />\\n\\t\\t\\t\\t\\t\\t{/key}\\n\\t\\t\\t\\t\\t</article>\\n\\t\\t\\t\\t{/each}\\n\\t\\t\\t{/if}\\n\\t\\t</div>\\n\\t{/if}\\n</div>\\n\\n<dialog class=\\"modal\\" id=\\"pause-timer\\">\\n\\t{#if player}\\n\\t\\t<div class=\\"field middle-align\\">\\n\\t\\t\\t<label class=\\"slider\\">\\n\\t\\t\\t\\t<input\\n\\t\\t\\t\\t\\ttype=\\"range\\"\\n\\t\\t\\t\\t\\tbind:value={pauseTimerSeconds}\\n\\t\\t\\t\\t\\tmin=\\"0\\"\\n\\t\\t\\t\\t\\tstep=\\"60\\"\\n\\t\\t\\t\\t\\tmax={data.video.lengthSeconds - playerCurrentTime - 60}\\n\\t\\t\\t\\t/>\\n\\t\\t\\t\\t<span></span>\\n\\t\\t\\t</label>\\n\\t\\t\\t{#if pauseTimerSeconds > 0}\\n\\t\\t\\t\\t<span class=\\"helper\\">{$_('player.pauseVideoIn')} {humanizeSeconds(pauseTimerSeconds)}</span>\\n\\t\\t\\t{/if}\\n\\t\\t</div>\\n\\t{/if}\\n\\t<nav class=\\"right-align no-space\\">\\n\\t\\t<button\\n\\t\\t\\tclass=\\"transparent link\\"\\n\\t\\t\\ton:click={() => {\\n\\t\\t\\t\\tui('#pause-timer');\\n\\t\\t\\t\\tpauseTimerSeconds = 0;\\n\\t\\t\\t}}>Cancel</button\\n\\t\\t>\\n\\t\\t<button disabled={pauseTimerSeconds < 1} class=\\"transparent link\\" on:click={setPauseTimer}\\n\\t\\t\\t>Confirm</button\\n\\t\\t>\\n\\t</nav>\\n</dialog>\\n\\n<style>\\n\\t:root {\\n\\t\\t--plyr-color-main: var(--primary);\\n\\t}\\n\\n\\t.timestamps {\\n\\t\\tmargin-left: 0;\\n\\t\\tmargin-bottom: 0.4em;\\n\\t\\tdisplay: block;\\n\\t\\tpadding: 0;\\n\\t\\ttext-align: left;\\n\\t\\tbackground-color: transparent;\\n\\t\\tcolor: var(--on-secondary-container);\\n\\t}\\n\\n\\t.timestamps:hover {\\n\\t\\tpadding: 0 0.5em;\\n\\t}\\n\\n\\t.video-actions {\\n\\t\\tdisplay: flex;\\n\\t\\talign-items: center;\\n\\t\\tjustify-content: flex-end;\\n\\t}\\n\\n\\t.video-actions button:not(.left-round):not(.right-round) {\\n\\t\\tmargin: 0.3em;\\n\\t}\\n\\n\\t@media screen and (max-width: 1000px) {\\n\\t\\t.video-actions {\\n\\t\\t\\talign-items: flex-start;\\n\\t\\t\\tflex-direction: column;\\n\\t\\t}\\n\\t}\\n\\n\\t@media screen and (max-width: 1000px) {\\n\\t\\t.video-actions > div {\\n\\t\\t\\tmargin-top: 1em;\\n\\t\\t}\\n\\t}\\n\\n\\t@media screen and (max-width: 1000px) {\\n\\t\\tmenu {\\n\\t\\t\\tz-index: 9999;\\n\\t\\t\\tposition: fixed;\\n\\t\\t\\ttop: 30%;\\n\\t\\t\\tleft: 50%;\\n\\t\\t\\twidth: 100%;\\n\\t\\t\\ttransform: translate(-50%, 50%);\\n\\t\\t\\tbackground-color: var(--surface-variant);\\n\\t\\t}\\n\\t}\\n\\n\\t@media screen and (max-width: 1646px) {\\n\\t\\t.grid {\\n\\t\\t\\tpadding: 0;\\n\\t\\t}\\n\\t}\\n</style>\\n"],"names":[],"mappings":"AA4sBC,KAAM,CACL,iBAAiB,CAAE,cACpB,CAEA,uCAAY,CACX,WAAW,CAAE,CAAC,CACd,aAAa,CAAE,KAAK,CACpB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,IAAI,CAChB,gBAAgB,CAAE,WAAW,CAC7B,KAAK,CAAE,IAAI,wBAAwB,CACpC,CAEA,uCAAW,MAAO,CACjB,OAAO,CAAE,CAAC,CAAC,KACZ,CAEA,0CAAe,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,QAClB,CAEA,4BAAc,CAAC,oBAAM,KAAK,WAAW,CAAC,KAAK,YAAY,CAAE,CACxD,MAAM,CAAE,KACT,CAEA,OAAO,MAAM,CAAC,GAAG,CAAC,YAAY,MAAM,CAAE,CACrC,0CAAe,CACd,WAAW,CAAE,UAAU,CACvB,cAAc,CAAE,MACjB,CACD,CAEA,OAAO,MAAM,CAAC,GAAG,CAAC,YAAY,MAAM,CAAE,CACrC,4BAAc,CAAG,iBAAI,CACpB,UAAU,CAAE,GACb,CACD,CAEA,OAAO,MAAM,CAAC,GAAG,CAAC,YAAY,MAAM,CAAE,CACrC,gCAAK,CACJ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,GAAG,CACR,IAAI,CAAE,GAAG,CACT,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,UAAU,IAAI,CAAC,CAAC,GAAG,CAAC,CAC/B,gBAAgB,CAAE,IAAI,iBAAiB,CACxC,CACD,CAEA,OAAO,MAAM,CAAC,GAAG,CAAC,YAAY,MAAM,CAAE,CACrC,iCAAM,CACL,OAAO,CAAE,CACV,CACD"}`
};
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $syncPartyPeerStore, $$unsubscribe_syncPartyPeerStore;
  let $$unsubscribe_syncPartyConnectionsStore;
  let $$unsubscribe_playerAutoplayNextByDefaultStore;
  let $interfaceLowBandwidthMode, $$unsubscribe_interfaceLowBandwidthMode;
  let $authStore, $$unsubscribe_authStore;
  let $_, $$unsubscribe__;
  let $interfaceAutoExpandDesc, $$unsubscribe_interfaceAutoExpandDesc;
  let $interfaceAutoExpandComments, $$unsubscribe_interfaceAutoExpandComments;
  $$unsubscribe_syncPartyPeerStore = subscribe(syncPartyPeerStore, (value) => $syncPartyPeerStore = value);
  $$unsubscribe_syncPartyConnectionsStore = subscribe(syncPartyConnectionsStore, (value) => value);
  $$unsubscribe_playerAutoplayNextByDefaultStore = subscribe(playerAutoplayNextByDefaultStore, (value) => value);
  $$unsubscribe_interfaceLowBandwidthMode = subscribe(interfaceLowBandwidthMode, (value) => $interfaceLowBandwidthMode = value);
  $$unsubscribe_authStore = subscribe(authStore, (value) => $authStore = value);
  $$unsubscribe__ = subscribe($format, (value) => $_ = value);
  $$unsubscribe_interfaceAutoExpandDesc = subscribe(interfaceAutoExpandDesc, (value) => $interfaceAutoExpandDesc = value);
  $$unsubscribe_interfaceAutoExpandComments = subscribe(interfaceAutoExpandComments, (value) => $interfaceAutoExpandComments = value);
  let { data } = $$props;
  let comments = null;
  data.streamed.comments?.then((streamedComments) => {
    comments = streamedComments;
  });
  let subscribed = false;
  data.streamed.subscribed.then((streamedIsSubbed) => {
    subscribed = streamedIsSubbed;
  });
  let personalPlaylists = null;
  data.streamed.personalPlaylists?.then((streamPlaylists) => personalPlaylists = streamPlaylists);
  activePageStore.set(null);
  let playlistVideos = [];
  let playlist = null;
  let loopPlaylist = false;
  let shufflePlaylist = false;
  let theatreMode = get_store_value(playerTheatreModeByDefaultStore);
  let audioMode = get_store_value(playerListenByDefaultStore);
  let player;
  let segments = [];
  let pauseTimerSeconds = -1;
  let showTranscript = false;
  let playerCurrentTime = 0;
  playlistSettingsStore.subscribe((playlistSetting) => {
    if (!data.playlistId) return;
    if (data.playlistId in playlistSetting) {
      loopPlaylist = playlistSetting[data.playlistId].loop;
      shufflePlaylist = playlistSetting[data.playlistId].shuffle;
    }
  });
  function playerSyncEvents(conn) {
    if (player) {
      conn.send({
        events: [{ type: "seek", time: player.currentTime }]
      });
    }
    if (data.playlistId) {
      conn.send({
        events: [
          {
            type: "playlist",
            playlistId: data.playlistId
          }
        ]
      });
    }
    conn.on("data", (rawData) => {
      const events = rawData;
      events.events.forEach(async (event) => {
        if (!player) return;
        if (event.type === "pause") {
          player.pause();
        } else if (event.type === "play") {
          player.play();
        } else if (event.type === "seek" && event.time) {
          const timeDiff = player.currentTime - event.time;
          if (timeDiff > 5 || timeDiff < -5) {
            player.currentTime = event.time;
          }
        } else if (event.type === "playlist" && event.playlistId && event.playlistId !== data.playlistId) {
          data.playlistId = event.playlistId;
          await loadPlaylist(event.playlistId);
          goToCurrentPlaylistItem();
        }
      });
    });
    if (!player) return;
    player.addEventListener("auto-play-fail", () => {
      conn.send({ events: [{ type: "pause" }] });
    });
    player.addEventListener("auto-play", () => {
      if (!player) return;
      conn.send({
        events: [{ type: "seek", time: player.currentTime }, { type: "play" }]
      });
    });
    player.addEventListener("pause", () => {
      conn.send({ events: [{ type: "pause" }] });
    });
    player.addEventListener("playing", () => {
      if (!player) return;
      conn.send({
        events: [{ type: "seek", time: player.currentTime }, { type: "play" }]
      });
    });
    player.addEventListener("play", () => {
      if (!player) return;
      conn.send({
        events: [{ type: "seek", time: player.currentTime }, { type: "play" }]
      });
    });
    player.addEventListener("waiting", () => {
      conn.send({ events: [{ type: "pause" }] });
    });
    player.addEventListener("seeked", () => {
      if (!player) return;
      conn.send({
        events: [{ type: "seek", time: player.currentTime }]
      });
    });
  }
  syncPartyConnectionsStore.subscribe((connections) => {
    if (!connections || !player) return;
    playerSyncEvents(connections[connections.length - 1]);
  });
  onDestroy(() => {
    document.title = "Materialious";
    if (get_store_value(playerMiniPlayerStore) && !player.paused && !$syncPartyPeerStore && !data.video.hlsUrl && data.video.formatStreams && data.video.formatStreams.length > 0 && data.video.fallbackPatch === void 0) {
      miniPlayerSrcStore.set({
        video: data.video,
        time: player.currentTime
      });
    }
  });
  async function loadPlaylist(playlistId) {
    for (let page = 1; page < Infinity; page++) {
      const newPlaylist = await getPlaylist(playlistId, page);
      if (page === 1) {
        playlist = newPlaylist;
      }
      const newVideos = newPlaylist.videos;
      if (newVideos.length === 0) {
        break;
      }
      playlistVideos = [...playlistVideos, ...newVideos].sort((a, b) => {
        return a.index < b.index ? -1 : 1;
      });
      playlistVideos = playlistVideos.filter((playlistVideo) => {
        return playlistVideo.lengthSeconds > 0;
      });
    }
  }
  async function goToCurrentPlaylistItem() {
    await tick();
    const playlistCurrentVideo = document.getElementById(data.video.videoId);
    const playlistScrollable = document.getElementById("playlist");
    if (playlistCurrentVideo && playlistScrollable) {
      playlistScrollable.scrollTop = playlistCurrentVideo.offsetTop - playlistScrollable.offsetTop - 200;
    }
  }
  if ($$props.data === void 0 && $$bindings.data && data !== void 0) $$bindings.data(data);
  $$result.css.add(css);
  let $$settled;
  let $$rendered;
  let previous_head = $$result.head;
  do {
    $$settled = true;
    $$result.head = previous_head;
    {
      if (typeof player !== "undefined") {
        playerCurrentTime = player.currentTime;
        player.addEventListener("time-update", (event) => playerCurrentTime = event.detail.currentTime);
      }
    }
    $$rendered = `${$$result.head += `<!-- HEAD_svelte-5xn8hk_START -->${$$result.title = `<title>${escape(data.video.title)} | Materialious</title>`, ""}<!-- HEAD_svelte-5xn8hk_END -->`, ""} <div class="space"></div> <div class="grid svelte-pkvqan"><div class="${escape(null_to_empty(`s12 m12 l${theatreMode ? "12" : "9"}`), true) + " svelte-pkvqan"}"><div style="display: flex;justify-content: center;" class="svelte-pkvqan"><div style="max-height: 80vh;max-width: calc(80vh * 16 / 9);overflow: hidden;position: relative;flex: 1;">${validate_component(Player, "Player").$$render(
      $$result,
      {
        data,
        audioMode,
        isSyncing: $syncPartyPeerStore !== null,
        segments,
        player
      },
      {
        segments: ($$value) => {
          segments = $$value;
          $$settled = false;
        },
        player: ($$value) => {
          player = $$value;
          $$settled = false;
        }
      },
      {}
    )}</div></div> ${``} <h5>${escape(letterCase(data.video.title))}</h5> <div class="grid no-padding svelte-pkvqan"><div class="s12 m12 l5"><nav><a${add_attribute("href", `/channel/${data.video.authorId}`, 0)}><nav>${!$interfaceLowBandwidthMode ? `<img class="circle large"${add_attribute("src", proxyGoogleImage(getBestThumbnail(data.video.authorThumbnails)), 0)} alt="Channel profile">` : ``} <div><p style="margin: 0;" class="bold">${escape(truncate(data.video.author, 16))}</p> <p style="margin: 0;">${escape(data.video.subCountText)}</p></div></nav></a> ${$authStore ? `<button class="${[
      "svelte-pkvqan",
      (!subscribed ? "inverse-surface" : "") + " " + (subscribed ? "border" : "")
    ].join(" ").trim()}">${!subscribed ? `${escape($_("subscribe"))}` : `${escape($_("unsubscribe"))}`}</button>` : `<button class="inverse-surface svelte-pkvqan" disabled>${escape($_("subscribe"))} <div class="tooltip">${escape($_("loginRequired"))}</div></button>`}</nav></div> <div class="s12 m12 l7 video-actions svelte-pkvqan">${function(__value) {
      if (is_promise(__value)) {
        __value.then(null, noop);
        return ``;
      }
      return function(returnYTDislikes) {
        return ` ${returnYTDislikes ? `<nav class="no-space" style="margin-right: .5em;"><button style="cursor: default;" class="border left-round svelte-pkvqan"><i class="small" data-svelte-h="svelte-16wunwg">thumb_up</i> <span>${escape(cleanNumber(returnYTDislikes.likes))}</span></button> <button style="cursor: default;" class="border right-round svelte-pkvqan"><i class="small" data-svelte-h="svelte-z5xxuj">thumb_down_alt</i> <span>${escape(cleanNumber(returnYTDislikes.dislikes))}</span></button></nav>` : `<button style="cursor: default;" class="border svelte-pkvqan"><i class="small" data-svelte-h="svelte-16wunwg">thumb_up</i> <span>${escape(cleanNumber(data.video.likeCount))}</span></button>`} `;
      }(__value);
    }(data.streamed.returnYTDislikes)} <div class="svelte-pkvqan"><button class="${["svelte-pkvqan", !audioMode ? "border" : ""].join(" ").trim()}"><i data-svelte-h="svelte-1b2igjl">headphones</i> <div class="tooltip">${escape($_("player.audioOnly"))}</div></button> <button class="${["m l svelte-pkvqan", !theatreMode ? "border" : ""].join(" ").trim()}"><i data-svelte-h="svelte-c8vobi">width_wide</i> <div class="tooltip">${escape($_("player.theatreMode"))}</div></button> ${data.video.lengthSeconds > 60 && !data.video.hlsUrl ? `<button class="${["svelte-pkvqan", "border"].join(" ").trim()}"><i data-svelte-h="svelte-11dr0jz">schedule</i> <div class="tooltip">${escape($_("player.pauseTimer"))}</div></button>` : ``} <button class="${["svelte-pkvqan", "border"].join(" ").trim()}"><i data-svelte-h="svelte-5e7zm0">description</i> <div class="tooltip">${escape($_("transcript"))}</div></button> <button class="border svelte-pkvqan"><i data-svelte-h="svelte-1asjlkd">share</i> <div class="tooltip">${escape($_("player.share.title"))}</div> <menu class="no-wrap svelte-pkvqan">${validate_component(ShareVideo, "ShareVideo").$$render($$result, { video: data.video }, {}, {})}</menu></button> ${personalPlaylists ? `<button class="border svelte-pkvqan"><i data-svelte-h="svelte-a7ks6l">add</i> <div class="tooltip">${escape($_("player.addToPlaylist"))}</div> <menu class="no-wrap svelte-pkvqan">${each(personalPlaylists, (personalPlaylist) => {
      return `<a href="#add"><nav><span class="max">${escape(personalPlaylist.title)}</span> ${personalPlaylist.videos.filter((item) => {
        return item.videoId === data.video.videoId;
      }).length > 0 ? `<i data-svelte-h="svelte-cha3g2">close</i>` : `<i data-svelte-h="svelte-a7ks6l">add</i>`}</nav> </a>`;
    })}</menu></button>` : `<button disabled class="border no-margin svelte-pkvqan"><i data-svelte-h="svelte-a7ks6l">add</i> <div class="tooltip">${$authStore ? `${escape($_("player.noPlaylists"))}` : `${escape($_("loginRequired"))}`}</div></button>`}</div></div></div> <article><details ${$interfaceAutoExpandDesc ? "open" : ""}><summary class="bold none"><nav><div class="max">${escape(numberWithCommas(data.video.viewCount))} views • ${escape(data.video.publishedText)}</div> <i data-svelte-h="svelte-1eflctq">expand_more</i></nav></summary> <div class="space"></div> <div class="medium scroll"><div style="white-space: pre-line; overflow-wrap: break-word;"><!-- HTML_TAG_START -->${data.content.description}<!-- HTML_TAG_END --></div> ${data.content ? `${data.content.timestamps.length > 0 ? `<h6 style="margin-bottom: .3em;" data-svelte-h="svelte-v7y2e">Chapters</h6> ${each(data.content.timestamps, (timestamp) => {
      return `<button class="timestamps svelte-pkvqan">${escape(timestamp.timePretty)} ${!timestamp.title.startsWith("-") ? `-` : ``} ${escape(timestamp.title)}</button>`;
    })}` : ``}` : ``}</div> <nav class="scroll">${data.video.keywords ? `${each(data.video.keywords, (keyword) => {
      return `<a${add_attribute("href", `/search/${encodeURIComponent(keyword)}`, 0)} class="chip">${escape(keyword)}</a>`;
    })}` : ``}</nav></details></article> ${comments && comments.comments.length > 0 ? `<article><details ${$interfaceAutoExpandComments ? "open" : ""}><summary class="none bold"><nav><div class="max">${escape(numberWithCommas(comments.commentCount))} comments</div> <i data-svelte-h="svelte-1eflctq">expand_more</i></nav></summary> <div class="space"></div> <div class="medium scroll">${each(comments.comments, (comment) => {
      return `${validate_component(Comment, "Comment").$$render($$result, { comment, videoId: data.video.videoId }, {}, {})}`;
    })} ${comments.continuation ? `<button class="margin svelte-pkvqan">${escape($_("loadMore"))}</button>` : ``}</div></details></article>` : ``}</div> ${!theatreMode ? `<div class="s12 m12 l3">${player && showTranscript ? `${validate_component(Transcript, "Transcript").$$render(
      $$result,
      { video: data.video, player },
      {
        player: ($$value) => {
          player = $$value;
          $$settled = false;
        }
      },
      {}
    )}` : ``} ${playlist ? `<article style="height: 85vh; position: relative;" id="playlist" class="scroll no-padding surface-container-high"><article class="no-elevate" style="position: sticky; top: 0; z-index: 3;"><h6>${escape(playlist.title)}</h6> <p>${escape(cleanNumber(playlist.viewCount))} ${escape($_("views"))} • ${escape(playlist.videoCount)} ${escape($_("videos"))}</p> <p><a${add_attribute("href", `/channel/${playlist.authorId}`, 0)}>${escape(playlist.author)}</a></p> <nav><button class="${["circle", !loopPlaylist ? "fill" : ""].join(" ").trim()}"><i data-svelte-h="svelte-3nix8u">loop</i> <div class="tooltip bottom">${escape($_("playlist.loopPlaylist"))}</div></button> <button class="${["circle", !shufflePlaylist ? "fill" : ""].join(" ").trim()}"><i data-svelte-h="svelte-15p25cv">shuffle</i> <div class="tooltip bottom">${escape($_("playlist.shuffleVideos"))}</div></button></nav> <div class="space"></div> <div class="divider"></div></article> <div class="space"></div> ${each(playlistVideos, (playlistVideo) => {
      return `<article class="${[
        "no-padding primary-border",
        playlistVideo.videoId === data.video.videoId ? "border" : ""
      ].join(" ").trim()}" style="margin: .7em;"${add_attribute("id", playlistVideo.videoId, 0)}>${validate_component(Thumbnail, "Thumbnail").$$render(
        $$result,
        {
          video: playlistVideo,
          sideways: true,
          playlistId: data.playlistId || void 0
        },
        {},
        {}
      )} </article>`;
    })}</article>` : `${data.video.recommendedVideos ? `${each(data.video.recommendedVideos, (recommendedVideo) => {
      return `<article class="no-padding">${validate_component(Thumbnail, "Thumbnail").$$render($$result, { video: recommendedVideo, sideways: true }, {}, {})} </article>`;
    })}` : ``}`}</div>` : ``}</div> <dialog class="modal" id="pause-timer">${player ? `<div class="field middle-align"><label class="slider"><input type="range" min="0" step="60"${add_attribute("max", data.video.lengthSeconds - playerCurrentTime - 60, 0)}${add_attribute("value", pauseTimerSeconds, 0)}> <span></span></label> ${``}</div>` : ``} <nav class="right-align no-space"><button class="transparent link" data-svelte-h="svelte-vvkp2j">Cancel</button> <button ${"disabled"} class="transparent link">Confirm</button></nav> </dialog>`;
  } while (!$$settled);
  $$unsubscribe_syncPartyPeerStore();
  $$unsubscribe_syncPartyConnectionsStore();
  $$unsubscribe_playerAutoplayNextByDefaultStore();
  $$unsubscribe_interfaceLowBandwidthMode();
  $$unsubscribe_authStore();
  $$unsubscribe__();
  $$unsubscribe_interfaceAutoExpandDesc();
  $$unsubscribe_interfaceAutoExpandComments();
  return $$rendered;
});
export {
  Page as default
};
